This thread has been locked.

If you have a related question, please click the "Ask a related question" button in the top right corner. The newly created question will be automatically linked to this question.

AM5728 linux kernel version issue with USB function

Hi

    1.  We use "ti-processor-sdk-linux-am57xx-evm-03.00.00.04"  linux kernel version 4.4.12 , the usb functions work fine

    2.  But the git-version from git.ti.com, the linux kernel version with ti-lsk-linux-4.4.y, the usb function fail

    Both linux kernel version complied with the same config file & device tree file. In some reason we need the lastest linux kernel from git.ti.com. If any advise for this issue? The attachment are the log files for two different linux kernel version. Thanks.

Robin

U-Boot SPL 2016.03-g407f6cc-dirty (Jul 29 2016 - 11:28:02)
DRA752 ES2.0
Trying to boot from MMC
reading args
spl_load_image_fat_os: error reading image args, err - -1
reading u-boot.img
reading u-boot.img


U-Boot 2016.03-g407f6cc-dirty (Jul 29 2016 - 11:28:02 +0800)

CPU  : DRA752 ES2.0
Model: TI AM5728 BeagleBoard-X15
Board: BeagleBoard x15
I2C:   ready
DRAM:  2 GiB
MMC:   OMAP SD/MMC: 0, OMAP SD/MMC: 1
reading uboot.env

** Unable to read "uboot.env" from mmc0:1 **
Using default environment

SATA link 0 timeout.
AHCI 0001.0300 32 slots 1 ports 3 Gbps 0x1 impl SATA mode
flags: 64bit ncq stag pm led clo only pmp pio slum part ccc apst
====run factoryset_read_eeprom()====
FactorySet is not right in eeprom.
==== factoryset_read_eeprom() err! ====
====run factoryset_setenv()====
SCSI:  SATA link 0 timeout.
AHCI 0001.0300 32 slots 1 ports 3 Gbps 0x1 impl SATA mode
flags: 64bit ncq stag pm led clo only pmp pio slum part ccc apst
scanning bus for devices...
Found 0 device(s).
Net:   <ethaddr> not set. Validating first E-fuse MAC
Could not get PHY for cpsw: addr 1
cpsw
Hit any key to stop autoboot:  0
switch to partitions #0, OK
mmc0 is current device
SD/MMC found on device 0
reading uEnv.txt
574 bytes read in 6 ms (92.8 KiB/s)
Loaded environment from uEnv.txt
Importing environment from mmc0 ...
3757232 bytes read in 220 ms (16.3 MiB/s)
98006 bytes read in 37 ms (2.5 MiB/s)
Booting from mmc0 ...
Kernel image @ 0x82000000 [ 0x000000 - 0x3954b0 ]
## Flattened Device Tree blob at 88000000
   Booting using the fdt blob at 0x88000000
   Loading Device Tree to 8ffe5000, end 8ffffed5 ... OK

Starting kernel ...

[    0.000000] Booting Linux on physical CPU 0x0
[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Initializing cgroup subsys cpuacct
[    0.000000] Linux version 4.4.18-g528dd6a (robin@robinLinux) (gcc version 5.3.1 20160113 (Linaro GCC 5.3-2016.02) ) #1 SMP PREEMPT Wed Aug 31 09:23:58 CST 2016
[    0.000000] CPU: ARMv7 Processor [412fc0f2] revision 2 (ARMv7), cr=30c5387d
[    0.000000] CPU: PIPT / VIPT nonaliasing data cache, PIPT instruction cache
[    0.000000] Machine model: TI AM57x EVM ES2+
[    0.000000] Reserved memory: created CMA memory pool at 0x0000000095800000, size 56 MiB
[    0.000000] Reserved memory: initialized node ipu2_cma@95800000, compatible id shared-dma-pool
[    0.000000] Reserved memory: created CMA memory pool at 0x0000000099000000, size 64 MiB
[    0.000000] Reserved memory: initialized node dsp1_cma@99000000, compatible id shared-dma-pool
[    0.000000] Reserved memory: created CMA memory pool at 0x000000009d000000, size 32 MiB
[    0.000000] Reserved memory: initialized node ipu1_cma@9d000000, compatible id shared-dma-pool
[    0.000000] Reserved memory: created CMA memory pool at 0x000000009f000000, size 8 MiB
[    0.000000] Reserved memory: initialized node dsp2_cma@9f000000, compatible id shared-dma-pool
[    0.000000] cma: Reserved 24 MiB at 0x00000000fe000000
[    0.000000] Forcing write-allocate cache policy for SMP
[    0.000000] Memory policy: Data cache writealloc
[    0.000000] OMAP4: Map 0x00000000ffd00000 to fe600000 for dram barrier
[    0.000000] DRA752 ES2.0
[    0.000000] PERCPU: Embedded 12 pages/cpu @eed31000 s19200 r8192 d21760 u49152
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 521792
[    0.000000] Kernel command line: console=ttyO2,115200n8 root=PARTUUID=000d0347-02 rw rootfstype=ext4 rootwait
[    0.000000] PID hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
[    0.000000] Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
[    0.000000] Memory: 1875036K/2094080K available (6999K kernel code, 330K rwdata, 2472K rodata, 372K init, 288K bss, 30628K reserved, 188416K cma-reserved, 1283072K highmem)
[    0.000000] Virtual kernel memory layout:
[    0.000000]     vector  : 0xffff0000 - 0xffff1000   (   4 kB)
[    0.000000]     fixmap  : 0xffc00000 - 0xfff00000   (3072 kB)
[    0.000000]     vmalloc : 0xf0800000 - 0xff800000   ( 240 MB)
[    0.000000]     lowmem  : 0xc0000000 - 0xf0000000   ( 768 MB)
[    0.000000]     pkmap   : 0xbfe00000 - 0xc0000000   (   2 MB)
[    0.000000]     modules : 0xbf000000 - 0xbfe00000   (  14 MB)
[    0.000000]       .text : 0xc0008000 - 0xc094805c   (9473 kB)
[    0.000000]       .init : 0xc0949000 - 0xc09a6000   ( 372 kB)
[    0.000000]       .data : 0xc09a6000 - 0xc09f8970   ( 331 kB)
[    0.000000]        .bss : 0xc09fa000 - 0xc0a42140   ( 289 kB)
[    0.000000] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=2, Nodes=1
[    0.000000] Preemptible hierarchical RCU implementation.
[    0.000000]  Build-time adjustment of leaf fanout to 32.
[    0.000000] NR_IRQS:16 nr_irqs:16 16
[    0.000000] OMAP clockevent source: timer1 at 32786 Hz
[    0.000000] Architected cp15 timer(s) running at 6.14MHz (virt).
[    0.000000] clocksource: arch_sys_counter: mask: 0xffffffffffffff max_cycles: 0x16af5adb9, max_idle_ns: 440795202250 ns
[    0.000004] sched_clock: 56 bits at 6MHz, resolution 162ns, wraps every 4398046511023ns
[    0.000015] Switching to timer-based delay loop, resolution 162ns
[    0.000330] clocksource: 32k_counter: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 58327039986419 ns
[    0.000338] OMAP clocksource: 32k_counter at 32768 Hz
[    0.000746] Console: colour dummy device 80x30
[    0.000762] WARNING: Your 'console=ttyO2' has been replaced by 'ttyS2'
[    0.000768] This ensures that you still see kernel messages. Please
[    0.000774] update your kernel commandline.
[    0.000788] Calibrating delay loop (skipped), value calculated using timer frequency.. 12.29 BogoMIPS (lpj=61475)
[    0.000801] pid_max: default: 32768 minimum: 301
[    0.000894] Mount-cache hash table entries: 2048 (order: 1, 8192 bytes)
[    0.000904] Mountpoint-cache hash table entries: 2048 (order: 1, 8192 bytes)
[    0.001434] Initializing cgroup subsys io
[    0.001451] Initializing cgroup subsys memory
[    0.001475] Initializing cgroup subsys devices
[    0.001488] Initializing cgroup subsys freezer
[    0.001498] Initializing cgroup subsys perf_event
[    0.001510] Initializing cgroup subsys pids
[    0.001535] CPU: Testing write buffer coherency: ok
[    0.001732] /cpus/cpu@0 missing clock-frequency property
[    0.001749] /cpus/cpu@1 missing clock-frequency property
[    0.001759] CPU0: thread -1, cpu 0, socket 0, mpidr 80000000
[    0.001799] Setting up static identity map for 0x800082c0 - 0x80008318
[    0.080040] CPU1: thread -1, cpu 1, socket 0, mpidr 80000001
[    0.080107] Brought up 2 CPUs
[    0.080120] SMP: Total of 2 processors activated (24.59 BogoMIPS).
[    0.080127] CPU: All CPU(s) started in SVC mode.
[    0.080445] devtmpfs: initialized
[    0.104564] VFP support v0.3: implementor 41 architecture 4 part 30 variant f rev 0
[    0.105453] omap_hwmod: l3_main_2 using broken dt data from ocp
[    0.303529] clocksource: jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 19112604462750000 ns
[    0.307342] pinctrl core: initialized pinctrl subsystem
[    0.308199] NET: Registered protocol family 16
[    0.309813] DMA: preallocated 256 KiB pool for atomic coherent allocations
[    0.340337] cpuidle: using governor ladder
[    0.370359] cpuidle: using governor menu
[    0.378861] OMAP GPIO hardware version 0.1
[    0.385237] irq: no irq domain found for /ocp/l4@4a000000/scm@2000/pinmux@1400 !
[    0.409447] hw-breakpoint: found 5 (+1 reserved) breakpoint and 4 watchpoint registers.
[    0.409459] hw-breakpoint: maximum watchpoint size is 8 bytes.
[    0.409900] omap4_sram_init:Unable to allocate sram needed to handle errata I688
[    0.409910] omap4_sram_init:Unable to get sram pool needed to handle errata I688
[    0.410493] OMAP DMA hardware revision 0.0
[    0.444790] omap-dma-engine 4a056000.dma-controller: OMAP DMA engine driver
[    0.445890] edma 43300000.edma: memcpy is disabled
[    0.450588] edma 43300000.edma: TI EDMA DMA engine driver
[    0.454384] omap-iommu 40d01000.mmu: 40d01000.mmu registered
[    0.454574] omap-iommu 40d02000.mmu: 40d02000.mmu registered
[    0.454729] omap-iommu 58882000.mmu: 58882000.mmu registered
[    0.454881] omap-iommu 55082000.mmu: 55082000.mmu registered
[    0.455138] omap-iommu 41501000.mmu: 41501000.mmu registered
[    0.455330] omap-iommu 41502000.mmu: 41502000.mmu registered
[    0.456935] vgaarb: loaded
[    0.457336] SCSI subsystem initialized
[    0.457556] usbcore: registered new interface driver usbfs
[    0.457617] usbcore: registered new interface driver hub
[    0.457694] usbcore: registered new device driver usb
[    0.458882] palmas 0-0058: Irq flag is 0x00000008
[    0.472032] palmas 0-0058: Muxing GPIO 2f, PWM 0, LED 0
[    0.554062] omap_i2c 48070000.i2c: bus 0 rev0.12 at 400 kHz
[    0.554563] omap_i2c 48060000.i2c: bus 2 rev0.12 at 400 kHz
[    0.555022] omap_i2c 4807c000.i2c: bus 4 rev0.12 at 100 kHz
[    0.555218] media: Linux media interface: v0.10
[    0.555269] Linux video capture interface: v2.00
[    0.555310] pps_core: LinuxPPS API ver. 1 registered
[    0.555318] pps_core: Software ver. 5.3.6 - Copyright 2005-2007 Rodolfo Giometti <giometti@linux.it>
[    0.555341] PTP clock support registered
[    0.555632] EDAC MC: Ver: 3.0.0
[    0.556368] omap-mailbox 4883c000.mailbox: omap mailbox rev 0x400
[    0.556661] omap-mailbox 4883e000.mailbox: omap mailbox rev 0x400
[    0.556952] omap-mailbox 48840000.mailbox: omap mailbox rev 0x400
[    0.557234] omap-mailbox 48842000.mailbox: omap mailbox rev 0x400
[    0.557541] Advanced Linux Sound Architecture Driver Initialized.
[    0.558334] clocksource: Switched to clocksource arch_sys_counter
[    0.569070] NET: Registered protocol family 2
[    0.569555] TCP established hash table entries: 8192 (order: 3, 32768 bytes)
[    0.569619] TCP bind hash table entries: 8192 (order: 4, 65536 bytes)
[    0.569744] TCP: Hash tables configured (established 8192 bind 8192)
[    0.569789] UDP hash table entries: 512 (order: 2, 16384 bytes)
[    0.569820] UDP-Lite hash table entries: 512 (order: 2, 16384 bytes)
[    0.569960] NET: Registered protocol family 1
[    0.570258] RPC: Registered named UNIX socket transport module.
[    0.570268] RPC: Registered udp transport module.
[    0.570274] RPC: Registered tcp transport module.
[    0.570280] RPC: Registered tcp NFSv4.1 backchannel transport module.
[    0.571257] hw perfevents: enabled with armv7_cortex_a15 PMU driver, 7 counters available
[    0.573591] futex hash table entries: 512 (order: 3, 32768 bytes)
[    0.581158] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    0.581793] NFS: Registering the id_resolver key type
[    0.581819] Key type id_resolver registered
[    0.581827] Key type id_legacy registered
[    0.581898] ntfs: driver 2.1.32 [Flags: R/O].
[    0.583166] bounce: pool size: 64 pages
[    0.583306] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 248)
[    0.583319] io scheduler noop registered
[    0.583330] io scheduler deadline registered
[    0.583361] io scheduler cfq registered (default)
[    0.588591] pinctrl-single 4a003400.pinmux: 282 pins at pa fc003400 size 1128
[    0.592331] PCI host bridge /ocp/axi@0/pcie@51000000 ranges:
[    0.592344]   No bus range found for /ocp/axi@0/pcie@51000000, using [bus 00-ff]
[    0.592382]    IO 0x20003000..0x20012fff -> 0x00000000
[    0.592403]   MEM 0x20013000..0x2fffffff -> 0x20013000
[    0.622397] dra7-pcie 51000000.pcie: link is not up
[    0.622565] dra7-pcie 51000000.pcie: PCI host bridge to bus 0000:00
[    0.622578] pci_bus 0000:00: root bus resource [bus 00-ff]
[    0.622589] pci_bus 0000:00: root bus resource [io  0x0000-0xffff]
[    0.622599] pci_bus 0000:00: root bus resource [mem 0x20013000-0x2fffffff]
[    0.623004] PCI: bus0: Fast back to back transfers disabled
[    0.623123] PCI: bus1: Fast back to back transfers enabled
[    0.623171] irq: no irq domain found for /ocp/axi@0/pcie@51000000/interrupt-controller !
[    0.623204] pci 0000:00:00.0: BAR 0: assigned [mem 0x20100000-0x201fffff]
[    0.623218] pci 0000:00:00.0: BAR 1: assigned [mem 0x20020000-0x2002ffff]
[    0.623231] pci 0000:00:00.0: PCI bridge to [bus 01]
[    0.623449] pcieport 0000:00:00.0: Signaling PME through PCIe PME interrupt
[    0.624549] backlight supply power not found, using dummy regulator
[    0.682753] Serial: 8250/16550 driver, 10 ports, IRQ sharing disabled
[    0.686057] 48020000.serial: ttyS2 at MMIO 0x48020000 (irq = 301, base_baud = 3000000) is a 8250
[    1.660348] console [ttyS2] enabled
[    1.664670] 48422000.serial: ttyS7 at MMIO 0x48422000 (irq = 302, base_baud = 3000000) is a 8250
[    1.674705] [drm] Initialized drm 1.1.0 20060810
[    1.680742] OMAP DSS rev 6.1
[    1.684489] omapdss_dss 58000000.dss: bound 58001000.dispc (ops dispc_component_ops)
[    1.701799] loop: module loaded
[    1.707745] libphy: Fixed MDIO Bus: probed
[    1.758365] davinci_mdio 48485000.mdio: davinci mdio revision 1.6
[    1.764490] davinci_mdio 48485000.mdio: detected phy mask fffffff7
[    1.772796] libphy: 48485000.mdio: probed
[    1.776827] davinci_mdio 48485000.mdio: phy[3]: device 48485000.mdio:03, driver Micrel KSZ9031 Gigabit PHY
[    1.787188] cpsw 48484000.ethernet: Detected MACID = a4:d5:78:d3:3c:ca
[    1.794490] cpsw 48484000.ethernet: cpsw: Detected MACID = a4:d5:78:d3:3c:cb
[    1.802168] pegasus: v0.9.3 (2013/04/25), Pegasus/Pegasus II USB Ethernet driver
[    1.809688] usbcore: registered new interface driver pegasus
[    1.815434] usbcore: registered new interface driver asix
[    1.820938] usbcore: registered new interface driver ax88179_178a
[    1.827098] usbcore: registered new interface driver cdc_ether
[    1.833031] usbcore: registered new interface driver smsc75xx
[    1.838875] usbcore: registered new interface driver smsc95xx
[    1.844686] usbcore: registered new interface driver net1080
[    1.850427] usbcore: registered new interface driver cdc_subset
[    1.856414] usbcore: registered new interface driver zaurus
[    1.862100] usbcore: registered new interface driver cdc_ncm
[    1.869027] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    1.875586] ehci-pci: EHCI PCI platform driver
[    1.880109] ehci-platform: EHCI generic platform driver
[    1.885656] ehci-omap: OMAP-EHCI Host Controller driver
[    1.891134] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    1.897354] ohci-pci: OHCI PCI platform driver
[    1.901877] ohci-platform: OHCI generic platform driver
[    1.907824] usbcore: registered new interface driver usb-storage
[    1.914177] mousedev: PS/2 mouse device common for all mice
[    1.920669] usbcore: registered new interface driver usbtouchscreen
[    1.927025] i2c /dev entries driver
[    1.934288] gpio-fan gpio_fan: GPIO fan initialized
[    1.939520] tmp102 0-0048: error reading config register
[    1.944865] tmp102: probe of 0-0048 failed with error -121
[    1.952646] sdhci: Secure Digital Host Controller Interface driver
[    1.958873] sdhci: Copyright(c) Pierre Ossman
[    1.963877] omap_hsmmc 4809c000.mmc: Got CD GPIO
[    2.018723] omap_hsmmc 480b4000.mmc: no pinctrl state for sdr25 mode
[    2.025108] omap_hsmmc 480b4000.mmc: no pinctrl state for sdr12 mode
[    2.038607] vdd_3v3: supplied by regen1
[    2.078685] omap_hsmmc 480ad000.mmc: no pinctrl state for default mode
[    2.108593] Synopsys Designware Multimedia Card Interface Driver
[    2.115278] sdhci-pltfm: SDHCI platform and OF driver helper
[    2.122719] ledtrig-cpu: registered to indicate activity on CPUs
[    2.128994] usbcore: registered new interface driver usbhid
[    2.134589] usbhid: USB HID core driver
[    2.141573] NET: Registered protocol family 10
[    2.156860] sit: IPv6 over IPv4 tunneling driver
[    2.162061] NET: Registered protocol family 17
[    2.166748] Key type dns_resolver registered
[    2.171169] omap_voltage_late_init: Voltage driver support not added
[    2.178068] Adding alias for supply vdd,cpu0 -> vdd,4a003b20.oppdm
[    2.184328] Adding alias for supply vbb,cpu0 -> vbb,4a003b20.oppdm
[    2.191038] Adding alias for supply vdd,cpu0 -> vdd,4a003b20.oppdm
[    2.197248] Adding alias for supply vbb,cpu0 -> vbb,4a003b20.oppdm
[    2.205415] Power Management for TI OMAP4+ devices.
[    2.210521] ThumbEE CPU extension supported.
[    2.214814] Registering SWP/SWPB emulation handler
[    2.221689] dmm 4e000000.dmm: initialized all PAT entries
[    2.241024] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[    2.247663] [drm] No driver support for vblank timestamp query.
[    2.255949] [drm] Enabling DMM ywrap scrolling
[    2.265962] mmc0: host does not support reading read-only switch, assuming write-enable
[    2.268711] mmc0: new high speed SDHC card at address 0007
[    2.269039] mmcblk0: mmc0:0007 SD32G 29.9 GiB
[    2.270124]  mmcblk0: p1 p2
[    2.300888] Console: switching to colour frame buffer device 128x37
[    2.312509] mmc1: MAN_BKOPS_EN bit is not set
[    2.316713] mmc1: new DDR MMC card at address 0001
[    2.327075] mmcblk1: mmc1:0001 M52516 14.6 GiB
[    2.337272] mmcblk1boot0: mmc1:0001 M52516 partition 1 4.00 MiB
[    2.347455] mmcblk1boot1: mmc1:0001 M52516 partition 2 4.00 MiB
[    2.356636] omapdrm omapdrm.0: fb0: omapdrm frame buffer device
[    2.388354] [drm] Initialized omapdrm 1.0.0 20110917 on minor 0
[    2.405414] input: gpio_keys as /devices/platform/gpio_keys/input/input0
[    2.412333] hctosys: unable to open rtc device (rtc0)
[    2.425441] vmmcwl_fixed: disabling
[    2.428977] aic_dvdd_fixed: disabling
[    2.432832] ldousb: disabling
[    2.436199] ALSA device list:
[    2.439190]   No soundcards found.
[    2.460979] EXT4-fs (mmcblk0p2): mounted filesystem with ordered data mode. Opts: (null)
[    2.469155] VFS: Mounted root (ext4 filesystem) on device 179:2.
[    2.479010] devtmpfs: mounted
[    2.482135] Freeing unused kernel memory: 372K (c0949000 - c09a6000)
[    2.488534] This architecture does not have kernel memory protection.
[    2.851979] systemd[1]: System time before build time, advancing clock.
[    2.892334] random: systemd urandom read with 16 bits of entropy available
[    2.907460] systemd[1]: systemd 229 running in system mode. (+PAM -AUDIT -SELINUX +IMA -APPARMOR +SMACK +SYSVINIT +UTMP -LIBCRYPTSETUP -GCRYPT -GNUTLS +ACL +XZ -LZ4 -SECCOMP +BLKID -ELFUTILS +KMOD -IDN)
[    2.925970] systemd[1]: Detected architecture arm.

Welcome to Arago 2016.05!

[    2.950506] systemd[1]: Set hostname to <am57xx-evm>.
[    3.574741] systemd[1]: sysinit.target: Found ordering cycle on sysinit.target/start
[    3.582636] systemd[1]: sysinit.target: Found dependency on alignment.service/start
[    3.590372] systemd[1]: sysinit.target: Found dependency on basic.target/start
[    3.597632] systemd[1]: sysinit.target: Found dependency on sockets.target/start
[    3.605133] systemd[1]: sysinit.target: Found dependency on dropbear.socket/stop
[    3.612583] systemd[1]: sysinit.target: Found dependency on sysinit.target/start
[    3.620027] systemd[1]: sysinit.target: Breaking ordering cycle by deleting job alignment.service/start
[    3.629485] systemd[1]: alignment.service: Job alignment.service/start deleted to break ordering cycle starting with sysinit.target/start
[ SKIP ] Ordering cycle found, skipping alignment.service
[    3.671326] systemd[1]: Listening on Journal Socket.
[  OK  ] Listening on Journal Socket.
[    3.698888] systemd[1]: Listening on Journal Socket (/dev/log).
[  OK  ] Listening on Journal Socket (/dev/log).
[    3.728529] systemd[1]: Reached target Swap.
[  OK  ] Reached target Swap.
[    3.749809] systemd[1]: Created slice System Slice.
[  OK  ] Created slice System Slice.
[    3.798560] systemd[1]: Mounting POSIX Message Queue File System...
         Mounting POSIX Message Queue File System...
[    3.830917] systemd[1]: Starting Setup Virtual Console...
         Starting Setup Virtual Console...
[    3.858708] systemd[1]: Listening on udev Control Socket.
[  OK  ] Listening on udev Control Socket.
[    3.888552] systemd[1]: Reached target Remote File Systems.
[  OK  ] Reached target Remote File Systems.
[    3.918573] systemd[1]: Listening on udev Kernel Socket.
[  OK  ] Listening on udev Kernel Socket.
[    3.950013] systemd[1]: Created slice system-getty.slice.
[  OK  ] Created slice system-getty.slice.
[    3.978626] systemd[1]: Listening on /dev/initctl Compatibility Named Pipe.
[  OK  ] Listening on /dev/initctl Compatibility Named Pipe.
[    4.023165] systemd[1]: Created slice system-serial\x2dgetty.slice.
[  OK  ] Created slice system-serial\x2dgetty.slice.
[    4.078552] systemd[1]: Mounting Debug File System...
         Mounting Debug File System...
[    4.108820] systemd[1]: Started Dispatch Password Requests to Console Directory Watch.
[  OK  ] Started Dispatch Password Requests to Console Directory Watch.
[    4.141060] systemd[1]: Starting Remount Root and Kernel File Systems...
         Starting Remount Root and Kernel File Systems...
[    4.162202] EXT4-fs (mmcblk0p2): re-mounted. Opts: (null)
[    4.168892] systemd[1]: Started Forward Password Requests to Wall Directory Watch.
[  OK  ] Started Forward Password Requests to Wall Directory Watch.
[    4.199160] systemd[1]: Reached target Paths.
[  OK  ] Reached target Paths.
[    4.248797] systemd[1]: Starting Create Static Device Nodes in /dev...
         Starting Create Static Device Nodes in /dev...
[    4.285507] systemd[1]: Starting Load Kernel Modules...
         Starting Load Kernel Modules...
[    4.308757] systemd[1]: Listening on Syslog Socket.
[  OK  ] Listening on Syslog Socket.
[    4.378779] systemd[1]: Starting Journal Service...
         Starting Journal Service...
[    4.399376] systemd[1]: Listening on Network Service Netlink Socket.
[  OK  ] Listening on Network Service Netlink Socket.
[    4.429266] systemd[1]: Created slice User and Session Slice.
[  OK  ] Created slice User and Session Slice.
[    4.448644] systemd[1]: Reached target Slices.
[  OK  ] Reached target Slices.
[    4.498831] systemd[1]: Mounting Temporary Directory...
         Mounting Temporary Directory...
[    4.534816] systemd[1]: Mounted Debug File System.
[  OK  ] Mounted Debug File System.
[    4.558582] systemd[1]: Mounted POSIX Message Queue File System.
[  OK  ] Mounted POSIX Message Queue File System.
[    4.578617] systemd[1]: Mounted Temporary Directory.
[  OK  ] Mounted Temporary Directory.
[    4.598735] systemd[1]: Started Journal Service.
[  OK  ] Started Journal Service.
[  OK  ] Started Setup Virtual Console.
[  OK  ] Started Remount Root and Kernel File Systems.
[  OK  ] Started Create Static Device Nodes in /dev.
[FAILED] Failed to start Load Kernel Modules.
See 'systemctl status systemd-modules-load.service' for details.
         Starting Apply Kernel Variables...
         Starting udev Kernel Device Manager...
[  OK  ] Reached target Local File Systems (Pre).
         Mounting /media/ram...
         Mounting /var/volatile...
         Starting udev Coldplug all Devices...
         Starting Flush Journal to Persistent Storage...
[  OK  ] Mounted /var/volatile.
[  OK  ] Mounted /media/ram.
[  OK  ] Started udev Kernel Device Manager.
[  OK  ] Started Apply Kernel Variables.
[    5.385657] systemd-journald[135]: Received request to flush runtime journal from PID 1
[  OK  ] Started Flush Journal to Persistent Storage.
         Starting Load/Save Random Seed...
[  OK  ] Reached target Local File Systems.
         Starting Create Volatile Files and Directories...
[  OK  ] Started Load/Save Random Seed.
[  OK  ] Started Create Volatile Files and Directories.
[  OK  ] Started udev Coldplug all Devices.
[  OK  ] Found device /dev/ttyS2.
         Starting Network Time Synchronization...
         Starting Update UTMP about System Boot/Shutdown...
[  OK  ] Started Network Time Synchronization.
[  OK  ] Started Update UTMP about System Boot/Shutdown.
[  OK  ] Listening on Load/Save RF Kill Switch Status /dev/rfkill Watch.
[  OK  ] Created slice system-systemd\x2dbacklight.slice.
         Starting Load/Save Screen Backlight...htness of backlight:backlight...
[  OK  ] Reached target System Time Synchronized.
[    6.728771] FAT-fs (mmcblk0p1): Volume was not properly unmounted. Some data may be corrupt. Please run fsck.
         Starting Synchronize System and HW clocks...
[  OK  ] Started Load/Save Screen Backlight Brightness of backlight:backlight.
[FAILED] Failed to start Synchronize System and HW clocks.
See 'systemctl status sync-clocks.service' for details.
[  OK  ] Reached target System Initialization.
[  OK  ] Listening on RPCbind Server Activation Socket.
[  OK  ] Listening on D-Bus System Message Bus Socket.
[  OK  ] Started Daily Cleanup of Temporary Directories.
[  OK  ] Reached target Timers.
[  OK  ] Listening on Avahi mDNS/DNS-SD Stack Activation Socket.
[  OK  ] Listening on dropbear.socket.
[  OK  ] Reached target Sockets.
[  OK  ] Reached target Basic System.
         Starting Avahi mDNS/DNS-SD Stack...
         Starting uim-sysfs.service...
         Starting Login Service...
         Starting Permit User Sessions...
[  OK  ] Started strongSwan IPsec IKEv1/IKEv2 daemon using ipsec.conf.
         Starting Telephony service...
[  OK  ] Started D-Bus System Message Bus.
[  OK  ] Started Telephony service.
[  OK  ] Started Avahi mDNS/DNS-SD Stack.
         Starting Network Service...
[  OK  ] Started System Logging Service.
[  OK  ] Started Kernel Logging Service.
[  OK  ] Started Permit User Sessions.
[    7.984058] net eth1: initializing cpsw version 1.15 (0)
[    7.994535] net eth0: initialized cpsw ale verion 1.4
[  OK  ] Started Network Service.
[    8.006240] net eth0: ALE Table size 1024
[    8.020941] libphy: PHY 48485000.mdio:02 not found
[    8.032833] net eth1: phy "48485000.mdio:02" not found on slave 1, err -19
[    8.063496] IPv6: ADDRCONF(NETDEV_UP): eth1: link is not ready
[    8.081637] net eth0: initializing cpsw version 1.15 (0)
[    8.207042] net eth0: phy found : id is : 0x221622
[    8.237561] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  OK  ] Started Login Service.
[  OK  ] Started uim-sysfs.service.
         Starting rc.pvr.service...
[  OK  ] Reached target Network.
         Starting Lightning Fast Webserver With Light System Requirements...
         Starting Network Name Resolution...
[  OK  ] Started Serial Getty on ttyS2.
[  OK  ] Started Getty on tty1.
[  OK  ] Started Network Name Resolution.
[  OK  ] Started rc.pvr.service.
[  OK  ] Started Lightning Fast Webserver With Light System Requirements.
         Starting weston.service...
[  OK  ] Started weston.service.
         Starting telnetd.service...
         Starting tiipclad-daemon.service...
[  OK  ] Started telnetd.service.
[  OK  ] Started tiipclad-daemon.service.
         Starting thttpd.service...
[  OK  ] Started thttpd.service.
         Starting rng-tools.service...
[    9.200994] random: nonblocking pool is initialized
[  OK  ] Started rng-tools.service.
         Starting gdbserverproxy.service...
[  OK  ] Started gdbserverproxy.service.
         Starting matrix-gui-2.0.service...
[  OK  ] Started matrix-gui-2.0.service.
         Starting thermal-zone-init.service...
[  OK  ] Started thermal-zone-init.service.
         Starting gplv3-notice.service...

 _____                    _____           _         _
|  _  |___ ___ ___ ___   |  _  |___ ___  |_|___ ___| |_
|     |  _| .'| . | . |  |   __|  _| . | | | -_|  _|  _|
|__|__|_| |__,|_  |___|  |__|  |_| |___|_| |___|___|_|
              |___|                    |___|

Arago Project http://arago-project.org am57xx-evm ttyS2

Arago 2016.05 am57xx-evm ttyS2

am57xx-evm login: root
root@am57xx-evm:~# lsusb
unable to initialize libusb: -99
root@am57xx-evm:~#
U-Boot SPL 2016.03-g407f6cc-dirty (Jul 29 2016 - 11:28:02)
DRA752 ES2.0
Trying to boot from MMC
reading args
spl_load_image_fat_os: error reading image args, err - -1
reading u-boot.img
reading u-boot.img


U-Boot 2016.03-g407f6cc-dirty (Jul 29 2016 - 11:28:02 +0800)

CPU  : DRA752 ES2.0
Model: TI AM5728 BeagleBoard-X15
Board: BeagleBoard x15
I2C:   ready
DRAM:  2 GiB
MMC:   OMAP SD/MMC: 0, OMAP SD/MMC: 1
reading uboot.env

** Unable to read "uboot.env" from mmc0:1 **
Using default environment

SATA link 0 timeout.
AHCI 0001.0300 32 slots 1 ports 3 Gbps 0x1 impl SATA mode
flags: 64bit ncq stag pm led clo only pmp pio slum part ccc apst
====run factoryset_read_eeprom()====
FactorySet is not right in eeprom.
==== factoryset_read_eeprom() err! ====
====run factoryset_setenv()====
SCSI:  SATA link 0 timeout.
AHCI 0001.0300 32 slots 1 ports 3 Gbps 0x1 impl SATA mode
flags: 64bit ncq stag pm led clo only pmp pio slum part ccc apst
scanning bus for devices...
Found 0 device(s).
Net:   <ethaddr> not set. Validating first E-fuse MAC
Could not get PHY for cpsw: addr 1
cpsw
Hit any key to stop autoboot:  0
switch to partitions #0, OK
mmc0 is current device
SD/MMC found on device 0
reading uEnv.txt
574 bytes read in 6 ms (92.8 KiB/s)
Loaded environment from uEnv.txt
Importing environment from mmc0 ...
3773424 bytes read in 218 ms (16.5 MiB/s)
98243 bytes read in 33 ms (2.8 MiB/s)
Booting from mmc0 ...
Kernel image @ 0x82000000 [ 0x000000 - 0x3993f0 ]
## Flattened Device Tree blob at 88000000
   Booting using the fdt blob at 0x88000000
   Loading Device Tree to 8ffe5000, end 8fffffc2 ... OK

Starting kernel ...

[    0.000000] Booting Linux on physical CPU 0x0
[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Initializing cgroup subsys cpuacct
[    0.000000] Linux version 4.4.12-g3639bea54a (robin@robinLinux) (gcc version 5.3.1 20160113 (Linaro GCC 5.3-2016.02) ) #17 SMP PREEMPT Fri Aug 19 15:03:40 CST 2016
[    0.000000] CPU: ARMv7 Processor [412fc0f2] revision 2 (ARMv7), cr=30c5387d
[    0.000000] CPU: PIPT / VIPT nonaliasing data cache, PIPT instruction cache
[    0.000000] Machine model: TI AM57x EVM ES2+
[    0.000000] Reserved memory: created CMA memory pool at 0x0000000095800000, size 56 MiB
[    0.000000] Reserved memory: initialized node ipu2_cma@95800000, compatible id shared-dma-pool
[    0.000000] Reserved memory: created CMA memory pool at 0x0000000099000000, size 64 MiB
[    0.000000] Reserved memory: initialized node dsp1_cma@99000000, compatible id shared-dma-pool
[    0.000000] Reserved memory: created CMA memory pool at 0x000000009d000000, size 32 MiB
[    0.000000] Reserved memory: initialized node ipu1_cma@9d000000, compatible id shared-dma-pool
[    0.000000] Reserved memory: created CMA memory pool at 0x000000009f000000, size 8 MiB
[    0.000000] Reserved memory: initialized node dsp2_cma@9f000000, compatible id shared-dma-pool
[    0.000000] cma: Reserved 24 MiB at 0x00000000fe000000
[    0.000000] Forcing write-allocate cache policy for SMP
[    0.000000] Memory policy: Data cache writealloc
[    0.000000] OMAP4: Map 0x00000000ffd00000 to fe600000 for dram barrier
[    0.000000] DRA752 ES2.0
[    0.000000] PERCPU: Embedded 12 pages/cpu @eed30000 s19200 r8192 d21760 u49152
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 521792
[    0.000000] Kernel command line: console=ttyO2,115200n8 root=PARTUUID=000d0347-02 rw rootfstype=ext4 rootwait
[    0.000000] PID hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
[    0.000000] Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
[    0.000000] Memory: 1874992K/2094080K available (7039K kernel code, 330K rwdata, 2480K rodata, 364K init, 287K bss, 30672K reserved, 188416K cma-reserved, 1283072K highmem)
[    0.000000] Virtual kernel memory layout:
[    0.000000]     vector  : 0xffff0000 - 0xffff1000   (   4 kB)
[    0.000000]     fixmap  : 0xffc00000 - 0xfff00000   (3072 kB)
[    0.000000]     vmalloc : 0xf0800000 - 0xff800000   ( 240 MB)
[    0.000000]     lowmem  : 0xc0000000 - 0xf0000000   ( 768 MB)
[    0.000000]     pkmap   : 0xbfe00000 - 0xc0000000   (   2 MB)
[    0.000000]     modules : 0xbf000000 - 0xbfe00000   (  14 MB)
[    0.000000]       .text : 0xc0008000 - 0xc095405c   (9521 kB)
[    0.000000]       .init : 0xc0955000 - 0xc09b0000   ( 364 kB)
[    0.000000]       .data : 0xc09b0000 - 0xc0a02948   ( 331 kB)
[    0.000000]        .bss : 0xc0a04000 - 0xc0a4be80   ( 288 kB)
[    0.000000] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=2, Nodes=1
[    0.000000] Preemptible hierarchical RCU implementation.
[    0.000000]  Build-time adjustment of leaf fanout to 32.
[    0.000000] NR_IRQS:16 nr_irqs:16 16
[    0.000000] OMAP clockevent source: timer1 at 32786 Hz
[    0.000000] Architected cp15 timer(s) running at 6.14MHz (virt).
[    0.000000] clocksource: arch_sys_counter: mask: 0xffffffffffffff max_cycles: 0x16af5adb9, max_idle_ns: 440795202250 ns
[    0.000004] sched_clock: 56 bits at 6MHz, resolution 162ns, wraps every 4398046511023ns
[    0.000015] Switching to timer-based delay loop, resolution 162ns
[    0.000332] clocksource: 32k_counter: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 58327039986419 ns
[    0.000339] OMAP clocksource: 32k_counter at 32768 Hz
[    0.000748] Console: colour dummy device 80x30
[    0.000763] WARNING: Your 'console=ttyO2' has been replaced by 'ttyS2'
[    0.000769] This ensures that you still see kernel messages. Please
[    0.000774] update your kernel commandline.
[    0.000787] Calibrating delay loop (skipped), value calculated using timer frequency.. 12.29 BogoMIPS (lpj=61475)
[    0.000800] pid_max: default: 32768 minimum: 301
[    0.000893] Mount-cache hash table entries: 2048 (order: 1, 8192 bytes)
[    0.000903] Mountpoint-cache hash table entries: 2048 (order: 1, 8192 bytes)
[    0.001435] Initializing cgroup subsys io
[    0.001452] Initializing cgroup subsys memory
[    0.001474] Initializing cgroup subsys devices
[    0.001486] Initializing cgroup subsys freezer
[    0.001498] Initializing cgroup subsys perf_event
[    0.001509] Initializing cgroup subsys pids
[    0.001531] CPU: Testing write buffer coherency: ok
[    0.001723] /cpus/cpu@0 missing clock-frequency property
[    0.001738] /cpus/cpu@1 missing clock-frequency property
[    0.001748] CPU0: thread -1, cpu 0, socket 0, mpidr 80000000
[    0.001783] Setting up static identity map for 0x800082c0 - 0x80008318
[    0.080040] CPU1: thread -1, cpu 1, socket 0, mpidr 80000001
[    0.080107] Brought up 2 CPUs
[    0.080120] SMP: Total of 2 processors activated (24.59 BogoMIPS).
[    0.080126] CPU: All CPU(s) started in SVC mode.
[    0.080444] devtmpfs: initialized
[    0.104504] VFP support v0.3: implementor 41 architecture 4 part 30 variant f rev 0
[    0.105381] omap_hwmod: l3_main_2 using broken dt data from ocp
[    0.304440] clocksource: jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 19112604462750000 ns
[    0.308341] pinctrl core: initialized pinctrl subsystem
[    0.309201] NET: Registered protocol family 16
[    0.310855] DMA: preallocated 256 KiB pool for atomic coherent allocations
[    0.340192] cpuidle: using governor ladder
[    0.370215] cpuidle: using governor menu
[    0.378563] OMAP GPIO hardware version 0.1
[    0.384880] irq: no irq domain found for /ocp/l4@4a000000/scm@2000/pinmux@1400 !
[    0.407483] hw-breakpoint: found 5 (+1 reserved) breakpoint and 4 watchpoint registers.
[    0.407494] hw-breakpoint: maximum watchpoint size is 8 bytes.
[    0.407940] omap4_sram_init:Unable to allocate sram needed to handle errata I688
[    0.407949] omap4_sram_init:Unable to get sram pool needed to handle errata I688
[    0.408505] OMAP DMA hardware revision 0.0
[    0.444639] omap-dma-engine 4a056000.dma-controller: OMAP DMA engine driver
[    0.445719] edma 43300000.edma: memcpy is disabled
[    0.450389] edma 43300000.edma: TI EDMA DMA engine driver
[    0.454163] omap-iommu 40d01000.mmu: 40d01000.mmu registered
[    0.454345] omap-iommu 40d02000.mmu: 40d02000.mmu registered
[    0.454516] omap-iommu 58882000.mmu: 58882000.mmu registered
[    0.454670] omap-iommu 55082000.mmu: 55082000.mmu registered
[    0.454933] omap-iommu 41501000.mmu: 41501000.mmu registered
[    0.455127] omap-iommu 41502000.mmu: 41502000.mmu registered
[    0.456766] vgaarb: loaded
[    0.457163] SCSI subsystem initialized
[    0.457391] usbcore: registered new interface driver usbfs
[    0.457448] usbcore: registered new interface driver hub
[    0.457527] usbcore: registered new device driver usb
[    0.458728] palmas 0-0058: Irq flag is 0x00000008
[    0.472512] palmas 0-0058: Muxing GPIO 2f, PWM 0, LED 0
[    0.553963] omap_i2c 48070000.i2c: bus 0 rev0.12 at 400 kHz
[    0.554461] omap_i2c 48060000.i2c: bus 2 rev0.12 at 400 kHz
[    0.554920] omap_i2c 4807c000.i2c: bus 4 rev0.12 at 400 kHz
[    0.555115] media: Linux media interface: v0.10
[    0.555170] Linux video capture interface: v2.00
[    0.555215] pps_core: LinuxPPS API ver. 1 registered
[    0.555222] pps_core: Software ver. 5.3.6 - Copyright 2005-2007 Rodolfo Giometti <giometti@linux.it>
[    0.555248] PTP clock support registered
[    0.555550] EDAC MC: Ver: 3.0.0
[    0.556282] omap-mailbox 4883c000.mailbox: omap mailbox rev 0x400
[    0.556567] omap-mailbox 4883e000.mailbox: omap mailbox rev 0x400
[    0.556854] omap-mailbox 48840000.mailbox: omap mailbox rev 0x400
[    0.557142] omap-mailbox 48842000.mailbox: omap mailbox rev 0x400
[    0.557449] Advanced Linux Sound Architecture Driver Initialized.
[    0.558240] clocksource: Switched to clocksource arch_sys_counter
[    0.569016] NET: Registered protocol family 2
[    0.569504] TCP established hash table entries: 8192 (order: 3, 32768 bytes)
[    0.569567] TCP bind hash table entries: 8192 (order: 4, 65536 bytes)
[    0.569691] TCP: Hash tables configured (established 8192 bind 8192)
[    0.569738] UDP hash table entries: 512 (order: 2, 16384 bytes)
[    0.569769] UDP-Lite hash table entries: 512 (order: 2, 16384 bytes)
[    0.569906] NET: Registered protocol family 1
[    0.570208] RPC: Registered named UNIX socket transport module.
[    0.570217] RPC: Registered udp transport module.
[    0.570224] RPC: Registered tcp transport module.
[    0.570230] RPC: Registered tcp NFSv4.1 backchannel transport module.
[    0.571177] hw perfevents: enabled with armv7_cortex_a15 PMU driver, 7 counters available
[    0.573183] futex hash table entries: 512 (order: 3, 32768 bytes)
[    0.580874] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    0.581490] NFS: Registering the id_resolver key type
[    0.581515] Key type id_resolver registered
[    0.581523] Key type id_legacy registered
[    0.581582] ntfs: driver 2.1.32 [Flags: R/O].
[    0.582814] bounce: pool size: 64 pages
[    0.582958] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 248)
[    0.582974] io scheduler noop registered
[    0.582986] io scheduler deadline registered
[    0.583018] io scheduler cfq registered (default)
[    0.590524] omap_hwmod: ocp2scp3: _wait_target_disable failed
[    0.597743] omap_hwmod: ocp2scp1: _wait_target_disable failed
[    0.605056] omap_hwmod: ocp2scp1: _wait_target_disable failed
[    0.607424] pinctrl-single 4a003400.pinmux: 282 pins at pa fc003400 size 1128
[    0.614697] omap_hwmod: ocp2scp1: _wait_target_disable failed
[    0.621133] omap_hwmod: ocp2scp3: _wait_target_disable failed
[    0.624134] PCI host bridge /ocp/axi@0/pcie@51000000 ranges:
[    0.624147]   No bus range found for /ocp/axi@0/pcie@51000000, using [bus 00-ff]
[    0.624179]    IO 0x20003000..0x20012fff -> 0x00000000
[    0.624199]   MEM 0x20013000..0x2fffffff -> 0x20013000
[    0.655590] dra7-pcie 51000000.pcie: link is not up
[    0.655764] dra7-pcie 51000000.pcie: PCI host bridge to bus 0000:00
[    0.655777] pci_bus 0000:00: root bus resource [bus 00-ff]
[    0.655787] pci_bus 0000:00: root bus resource [io  0x0000-0xffff]
[    0.655797] pci_bus 0000:00: root bus resource [mem 0x20013000-0x2fffffff]
[    0.656206] PCI: bus0: Fast back to back transfers disabled
[    0.656326] PCI: bus1: Fast back to back transfers enabled
[    0.656374] irq: no irq domain found for /ocp/axi@0/pcie@51000000/interrupt-controller !
[    0.656406] pci 0000:00:00.0: BAR 0: assigned [mem 0x20100000-0x201fffff]
[    0.656420] pci 0000:00:00.0: BAR 1: assigned [mem 0x20020000-0x2002ffff]
[    0.656433] pci 0000:00:00.0: PCI bridge to [bus 01]
[    0.656659] pcieport 0000:00:00.0: Signaling PME through PCIe PME interrupt
[    0.657892] backlight supply power not found, using dummy regulator
[    0.716958] Serial: 8250/16550 driver, 10 ports, IRQ sharing disabled
[    0.720272] 48020000.serial: ttyS2 at MMIO 0x48020000 (irq = 301, base_baud = 3000000) is a 8250
[    1.723808] console [ttyS2] enabled
[    1.728133] 48422000.serial: ttyS7 at MMIO 0x48422000 (irq = 302, base_baud = 3000000) is a 8250
[    1.738152] [drm] Initialized drm 1.1.0 20060810
[    1.744164] OMAP DSS rev 6.1
[    1.747254] omapdss_dss 58000000.dss: bound 58001000.dispc (ops dispc_component_ops)
[    1.764490] loop: module loaded
[    1.770451] libphy: Fixed MDIO Bus: probed
[    1.818270] davinci_mdio 48485000.mdio: davinci mdio revision 1.6
[    1.824394] davinci_mdio 48485000.mdio: detected phy mask fffffff7
[    1.832785] libphy: 48485000.mdio: probed
[    1.836816] davinci_mdio 48485000.mdio: phy[3]: device 48485000.mdio:03, driver Micrel KSZ9031 Gigabit PHY
[    1.847153] cpsw 48484000.ethernet: Detected MACID = a4:d5:78:d3:3c:ca
[    1.854444] cpsw 48484000.ethernet: cpsw: Detected MACID = a4:d5:78:d3:3c:cb
[    1.862122] pegasus: v0.9.3 (2013/04/25), Pegasus/Pegasus II USB Ethernet driver
[    1.869640] usbcore: registered new interface driver pegasus
[    1.875383] usbcore: registered new interface driver asix
[    1.880889] usbcore: registered new interface driver ax88179_178a
[    1.887049] usbcore: registered new interface driver cdc_ether
[    1.892983] usbcore: registered new interface driver smsc75xx
[    1.898830] usbcore: registered new interface driver smsc95xx
[    1.904646] usbcore: registered new interface driver net1080
[    1.910389] usbcore: registered new interface driver cdc_subset
[    1.916374] usbcore: registered new interface driver zaurus
[    1.922059] usbcore: registered new interface driver cdc_ncm
[    1.928680] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    1.935240] ehci-pci: EHCI PCI platform driver
[    1.939766] ehci-platform: EHCI generic platform driver
[    1.945306] ehci-omap: OMAP-EHCI Host Controller driver
[    1.950775] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    1.956997] ohci-pci: OHCI PCI platform driver
[    1.961523] ohci-platform: OHCI generic platform driver
[    1.967457] usbcore: registered new interface driver usb-storage
[    1.973820] mousedev: PS/2 mouse device common for all mice
[    1.980337] usbcore: registered new interface driver usbtouchscreen
[    1.986688] i2c /dev entries driver
[    1.993900] gpio-fan gpio_fan: GPIO fan initialized
[    1.999140] tmp102 0-0048: error reading config register
[    2.004485] tmp102: probe of 0-0048 failed with error -121
[    2.012146] sdhci: Secure Digital Host Controller Interface driver
[    2.018374] sdhci: Copyright(c) Pierre Ossman
[    2.023358] omap_hsmmc 4809c000.mmc: Got CD GPIO
[    2.068770] omap_hsmmc 480b4000.mmc: no pinctrl state for sdr25 mode
[    2.075154] omap_hsmmc 480b4000.mmc: no pinctrl state for sdr12 mode
[    2.083771] vdd_3v3: supplied by regen1
[    2.138544] omap_hsmmc 480ad000.mmc: no pinctrl state for default mode
[    2.155901] mmc0: host does not support reading read-only switch, assuming write-enable
[    2.166848] mmc0: new high speed SDHC card at address 0007
[    2.172651] Synopsys Designware Multimedia Card Interface Driver
[    2.179554] sdhci-pltfm: SDHCI platform and OF driver helper
[    2.186917] ledtrig-cpu: registered to indicate activity on CPUs
[    2.193116] mmcblk0: mmc0:0007 SD32G 29.9 GiB
[    2.208292] hidraw: raw HID events driver (C) Jiri Kosina
[    2.214028] usbcore: registered new interface driver usbhid
[    2.219640] usbhid: USB HID core driver
[    2.223567]  mmcblk0: p1 p2
[    2.229034] NET: Registered protocol family 10
[    2.234422] sit: IPv6 over IPv4 tunneling driver
[    2.239686] NET: Registered protocol family 17
[    2.244411] Key type dns_resolver registered
[    2.248854] omap_voltage_late_init: Voltage driver support not added
[    2.255825] Adding alias for supply vdd,cpu0 -> vdd,4a003b20.oppdm
[    2.262068] Adding alias for supply vbb,cpu0 -> vbb,4a003b20.oppdm
[    2.268780] Adding alias for supply vdd,cpu0 -> vdd,4a003b20.oppdm
[    2.274999] Adding alias for supply vbb,cpu0 -> vbb,4a003b20.oppdm
[    2.283179] Power Management for TI OMAP4+ devices.
[    2.288261] ThumbEE CPU extension supported.
[    2.292560] Registering SWP/SWPB emulation handler
[    2.299484] dmm 4e000000.dmm: initialized all PAT entries
[    2.310715] mmc1: MAN_BKOPS_EN bit is not set
[    2.319392] mmc1: new DDR MMC card at address 0001
[    2.320180] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[    2.320181] [drm] No driver support for vblank timestamp query.
[    2.326398] [drm] Enabling DMM ywrap scrolling
[    2.351676] mmcblk1: mmc1:0001 M52516 14.6 GiB
[    2.351819] mmcblk1boot0: mmc1:0001 M52516 partition 1 4.00 MiB
[    2.351946] mmcblk1boot1: mmc1:0001 M52516 partition 2 4.00 MiB
[    2.383983] Console: switching to colour frame buffer device 171x48
[    2.411844] omapdrm omapdrm.0: fb0: omapdrm frame buffer device
[    2.438249] [drm] Initialized omapdrm 1.0.0 20110917 on minor 0
[    2.445338] input: gpio_keys as /devices/platform/gpio_keys/input/input0
[    2.452261] hctosys: unable to open rtc device (rtc0)
[    2.465395] vmmcwl_fixed: disabling
[    2.468924] aic_dvdd_fixed: disabling
[    2.472771] ldousb: disabling
[    2.476145] ALSA device list:
[    2.479137]   No soundcards found.
[    9.965696] EXT4-fs (mmcblk0p2): recovery complete
[    9.975076] EXT4-fs (mmcblk0p2): mounted filesystem with ordered data mode. Opts: (null)
[    9.983251] VFS: Mounted root (ext4 filesystem) on device 179:2.
[    9.994431] devtmpfs: mounted
[    9.997627] Freeing unused kernel memory: 364K (c0955000 - c09b0000)
[   10.004047] This architecture does not have kernel memory protection.
[   10.293138] systemd[1]: System time before build time, advancing clock.
[   10.351262] random: systemd urandom read with 40 bits of entropy available
[   10.363772] systemd[1]: systemd 229 running in system mode. (+PAM -AUDIT -SELINUX +IMA -APPARMOR +SMACK +SYSVINIT +UTMP -LIBCRYPTSETUP -GCRYPT -GNUTLS +ACL +XZ -LZ4 -SECCOMP +BLKID -ELFUTILS +KMOD -IDN)
[   10.382327] systemd[1]: Detected architecture arm.

Welcome to Arago 2016.05!

[   10.409786] systemd[1]: Set hostname to <am57xx-evm>.
[   11.041393] systemd[1]: dropbear.socket: Found ordering cycle on dropbear.socket/stop
[   11.049293] systemd[1]: dropbear.socket: Found dependency on sysinit.target/start
[   11.056818] systemd[1]: dropbear.socket: Found dependency on alignment.service/start
[   11.064648] systemd[1]: dropbear.socket: Found dependency on basic.target/start
[   11.072011] systemd[1]: dropbear.socket: Found dependency on sockets.target/start
[   11.079574] systemd[1]: dropbear.socket: Found dependency on dropbear.socket/stop
[   11.087095] systemd[1]: dropbear.socket: Breaking ordering cycle by deleting job alignment.service/start
[   11.096638] systemd[1]: alignment.service: Job alignment.service/start deleted to break ordering cycle starting with dropbear.socket/stop
[ SKIP ] Ordering cycle found, skipping alignment.service
[   11.149671] systemd[1]: Started Forward Password Requests to Wall Directory Watch.
[  OK  ] Started Forward Password Requests to Wall Directory Watch.
[   11.178517] systemd[1]: Reached target Remote File Systems.
[  OK  ] Reached target Remote File Systems.
[   11.208632] systemd[1]: Listening on Network Service Netlink Socket.
[  OK  ] Listening on Network Service Netlink Socket.
[   11.239998] systemd[1]: Created slice System Slice.
[  OK  ] Created slice System Slice.
[   11.259032] systemd[1]: Created slice system-getty.slice.
[  OK  ] Created slice system-getty.slice.
[   11.278576] systemd[1]: Listening on /dev/initctl Compatibility Named Pipe.
[  OK  ] Listening on /dev/initctl Compatibility Named Pipe.
[   11.298454] systemd[1]: Listening on udev Kernel Socket.
[  OK  ] Listening on udev Kernel Socket.
[   11.318950] systemd[1]: Created slice User and Session Slice.
[  OK  ] Created slice User and Session Slice.
[   11.338406] systemd[1]: Reached target Slices.
[  OK  ] Reached target Slices.
[   11.358490] systemd[1]: Listening on Journal Socket (/dev/log).
[  OK  ] Listening on Journal Socket (/dev/log).
[   11.378395] systemd[1]: Reached target Swap.
[  OK  ] Reached target Swap.
[   11.398961] systemd[1]: Created slice system-serial\x2dgetty.slice.
[  OK  ] Created slice system-serial\x2dgetty.slice.
[   11.418453] systemd[1]: Listening on Syslog Socket.
[  OK  ] Listening on Syslog Socket.
[   11.438490] systemd[1]: Listening on udev Control Socket.
[  OK  ] Listening on udev Control Socket.
[   11.458545] systemd[1]: Started Dispatch Password Requests to Console Directory Watch.
[  OK  ] Started Dispatch Password Requests to Console Directory Watch.
[   11.488411] systemd[1]: Reached target Paths.
[  OK  ] Reached target Paths.
[   11.508563] systemd[1]: Listening on Journal Socket.
[  OK  ] Listening on Journal Socket.
[   11.558573] systemd[1]: Starting Setup Virtual Console...
         Starting Setup Virtual Console...
[   11.600128] systemd[1]: Mounting Temporary Directory...
         Mounting Temporary Directory...
[   11.630728] systemd[1]: Starting Create list of required static device nodes for the current kernel...
         Starting Create list of required st... nodes for the current kernel...
[   11.688638] systemd[1]: Starting Journal Service...
         Starting Journal Service...
[   11.710504] systemd[1]: Mounting Debug File System...
         Mounting Debug File System...
[   11.788676] systemd[1]: Starting Load Kernel Modules...
         Starting Load Kernel Modules...
[   11.809529] CMEMK module: reference Linux version 4.4.12
[   11.815371] no physical memory specified
[   11.821830] systemd[1]: Starting Remount Root and Kernel File Systems...
[   11.828818] cmemk initialized
         Starting Remount Root and Kernel File Systems...
[   11.841088] EXT4-fs (mmcblk0p2): re-mounted. Opts: (null)
[   11.850869] systemd[1]: Mounting POSIX Message Queue File System...
         Mounting POSIX Message Queue File System...[   11.863761] cryptodev: driver 1.8 loaded.

[   11.932831] systemd[1]: Mounted Debug File System.
[  OK  ] Mounted Debug File System.
[   11.958509] systemd[1]: Mounted POSIX Message Queue File System.
[  OK  ] Mounted POSIX Message Queue File System.
[   11.978558] systemd[1]: Mounted Temporary Directory.
[  OK  ] Mounted Temporary Directory.
[   12.008768] systemd[1]: Started Journal Service.
[  OK  ] Started Journal Service.
[  OK  ] Started Setup Virtual Console.
[  OK  ] Started Create list of required sta...ce nodes for the current kernel.
[  OK  ] Started Load Kernel Modules.
[  OK  ] Started Remount Root and Kernel File Systems.
         Starting udev Coldplug all Devices...
         Starting Apply Kernel Variables...
         Starting Create Static Device Nodes in /dev...
         Starting Flush Journal to Persistent Storage...
[  OK  ] Started Apply Kernel Variables.
[  OK  ] Started Create Static Device Nodes in /dev.
[   12.619290] systemd-journald[119]: Received request to flush runtime journal from PID 1
[  OK  ] Started Flush Journal to Persistent Storage.
[  OK  ] Reached target Local File Systems (Pre).
         Mounting /media/ram...
         Mounting /var/volatile...
         Starting udev Kernel Device Manager...
[  OK  ] Mounted /var/volatile.
[  OK  ] Mounted /media/ram.
[  OK  ] Started udev Coldplug all Devices.
[  OK  ] Started udev Kernel Device Manager.
[   13.057833] omap-rproc 58820000.ipu: assigned reserved memory node ipu1_cma@9d000000
         Starting Load/Save Random Seed...
[   13.088894]  remoteproc0: 58820000.ipu is available
[  OK  ] Reached target Local File Systems.
[   13.109854]  remoteproc0: Note: remoteproc is still under development and considered experimental.
[   13.122318]  remoteproc0: THE BINARY FORMAT IS NOT YET FINALIZED, and backward compatibility isn't yet guaranteed.
[   13.146533] omap-rproc 55020000.ipu: assigned reserved memory node ipu2_cma@95800000
[   13.167720]  remoteproc1: 55020000.ipu is available
[   13.172781]  remoteproc1: Note: remoteproc is still under development and considered experimental.
         Starting Create Volatile Files and Directories...
[   13.205665]  remoteproc1: THE BINARY FORMAT IS NOT YET FINALIZED, and backward compatibility isn't yet guaranteed.
[   13.236712] omap-rproc 40800000.dsp: assigned reserved memory node dsp1_cma@99000000
[  OK  ] Started Load/Save Random Seed.[   13.250675]  remoteproc2: 40800000.dsp is available

[   13.271582]  remoteproc2: Note: remoteproc is still under development and considered experimental.
[  OK  ] Started Create Volatile Files and Directories.
[   13.289685]  remoteproc2: THE BINARY FORMAT IS NOT YET FINALIZED, and backward compatibility isn't yet guaranteed.
[  OK  ] Found device /dev/ttyS2.[   13.320513] omap-rproc 41000000.dsp: assigned reserved memory node dsp2_cma@9f000000

[   13.347253]  remoteproc3: 41000000.dsp is available
[   13.363175]  remoteproc3: Note: remoteproc is still under development and considered experimental.
[   13.368404] rtc-ds1307: probe of 2-006f failed with error -5
[   13.396716]  remoteproc3: THE BINARY FORMAT IS NOT YET FINALIZED, and backward compatibility isn't yet guaranteed.
[   13.416636] omap_rng 48090000.rng: OMAP Random Number Generator ver. 20
[   13.445110] aic_dvdd_fixed: supplied by vdd_3v3
[   13.453878] mt9t1x 4-003c: input-clock-freq: 32000000
[   13.459286] mt9t11x 4-003c: pixel-clock-freq: 96000000
         Starting Update UTMP about System Boot/Shutdown...[   13.465293] omap-des 480a5000.des: OMAP DES hw accel rev: 2.2

[   13.476755] mt9t11x: probe of 4-003c failed with error -16
[   13.482373] palmas-rtc 48070000.i2c:tps659038@58:tps659038_rtc: rtc core: registered 48070000.i2c:tps659 as rtc1
         Starting Network Time Synchronization...
[   13.764148] random: nonblocking pool is initialized
[   13.819977]  remoteproc1: registered virtio0 (type 7)
[   13.837210] omap_rtc 48838000.rtc: rtc core: registered 48838000.rtc as rtc2
[   13.878654]  remoteproc0: registered virtio1 (type 7)
[   13.889755] omap_wdt: OMAP Watchdog Timer Rev 0x01: initial timeout 60 sec
[   13.941750] omap-sham 4b101000.sham: hw accel on OMAP rev 4.3
[   14.105951] ti-pruss 4b200000.pruss: creating PRU cores and other child platform devices
[   14.118040] ti-pruss 4b280000.pruss: creating PRU cores and other child platform devices
[  OK  ] Started Update UTMP about System Boot/Shutdown.
[   14.129472] omap-aes 4b500000.aes: OMAP AES hw accel rev: 3.3
[   14.142641] omap-aes 4b700000.aes: OMAP AES hw accel rev: 3.3
[   14.178876] [drm] Initialized pvr 1.14.3699939 20110701 on minor 1
[   14.222485] ti_vpe: Unknown symbol v4l2_m2m_init (err 0)
[   14.228288] ti_vpe: Unknown symbol vb2_queue_init (err 0)
[   14.233740] ti_vpe: Unknown symbol v4l2_m2m_job_finish (err 0)
[   14.241144] ti_vpe: Unknown symbol v4l2_m2m_next_buf (err 0)
[   14.246892] ti_vpe: Unknown symbol v4l2_m2m_ctx_release (err 0)
[   14.255661] ti_vpe: Unknown symbol vb2_ops_wait_finish (err 0)
[   14.264955] ti_vpe: Unknown symbol v4l2_m2m_buf_remove (err 0)
[   14.273924] ti_vpe: Unknown symbol vb2_dma_contig_memops (err 0)
[   14.280458] ti_vpe: Unknown symbol v4l2_m2m_ioctl_expbuf (err 0)
[   14.288787] ti_vpe: Unknown symbol v4l2_m2m_ioctl_querybuf (err 0)
[   14.297634] ti_vpe: Unknown symbol v4l2_m2m_buf_queue (err 0)
[   14.303470] ti_vpe: Unknown symbol v4l2_m2m_get_curr_priv (err 0)
[   14.310192] ti_vpe: Unknown symbol v4l2_m2m_fop_poll (err 0)
[   14.316387] ti_vpe: Unknown symbol v4l2_m2m_ioctl_qbuf (err 0)
[   14.322806] ti_vpe: Unknown symbol v4l2_m2m_get_vq (err 0)
[   14.329482] ti_vpe: Unknown symbol vb2_plane_cookie (err 0)
[   14.335134] ti_vpe: Unknown symbol vb2_buffer_done (err 0)
[   14.341247] ti_vpe: Unknown symbol v4l2_m2m_ioctl_reqbufs (err 0)
[   14.349763] ti_vpe: Unknown symbol vb2_dma_contig_cleanup_ctx (err 0)
[   14.357249] ti_vpe: Unknown symbol v4l2_m2m_ioctl_streamoff (err 0)
[   14.363633] ti_vpe: Unknown symbol v4l2_m2m_ioctl_streamon (err 0)
[   14.370916] ti_vpe: Unknown symbol v4l2_m2m_fop_mmap (err 0)
[   14.376626] ti_vpe: Unknown symbol v4l2_m2m_release (err 0)
[   14.383816] ti_vpe: Unknown symbol vb2_ops_wait_prepare (err 0)
[   14.393007] ti_vpe: Unknown symbol v4l2_m2m_ctx_init (err 0)
[   14.398830] ti_vpe: Unknown symbol vb2_dma_contig_init_ctx (err 0)
[   14.405134] ti_vpe: Unknown symbol v4l2_m2m_ioctl_dqbuf (err 0)
[   14.414862] ahci 4a140000.sata: SSS flag set, parallel bus scan disabled
[   14.427084] ahci 4a140000.sata: AHCI 0001.0300 32 slots 1 ports 3 Gbps 0x1 impl platform mode
[  OK  ] Started Network Time Synchronization.
[   14.437505] ahci 4a140000.sata: flags: 64bit ncq sntf stag pm led clo only pmp pio slum part ccc apst
[   14.463410]  remoteproc4: 4b234000.pru0 is available
[   14.468634]  remoteproc4: Note: remoteproc is still under development and considered experimental.
[   14.471622] ti_vpe: Unknown symbol v4l2_m2m_init (err 0)
[   14.471634] ti_vpe: Unknown symbol vb2_queue_init (err 0)
[   14.471655] ti_vpe: Unknown symbol v4l2_m2m_job_finish (err 0)
[   14.471680] ti_vpe: Unknown symbol v4l2_m2m_next_buf (err 0)
[   14.471735] ti_vpe: Unknown symbol v4l2_m2m_ctx_release (err 0)
[   14.471750] ti_vpe: Unknown symbol vb2_ops_wait_finish (err 0)
[   14.471759] ti_vpe: Unknown symbol v4l2_m2m_buf_remove (err 0)
[   14.471786] ti_vpe: Unknown symbol vb2_dma_contig_memops (err 0)
[   14.471826] ti_vpe: Unknown symbol v4l2_m2m_ioctl_expbuf (err 0)
[   14.471847] ti_vpe: Unknown symbol v4l2_m2m_ioctl_querybuf (err 0)
[   14.471876] ti_vpe: Unknown symbol v4l2_m2m_buf_queue (err 0)
[   14.471889] ti_vpe: Unknown symbol v4l2_m2m_get_curr_priv (err 0)
[   14.471903] ti_vpe: Unknown symbol v4l2_m2m_fop_poll (err 0)
[   14.471925] ti_vpe: Unknown symbol v4l2_m2m_ioctl_qbuf (err 0)
[   14.471956] ti_vpe: Unknown symbol v4l2_m2m_get_vq (err 0)
[   14.471965] ti_vpe: Unknown symbol vb2_plane_cookie (err 0)
[   14.472020] ti_vpe: Unknown symbol vb2_buffer_done (err 0)
[   14.472036] ti_vpe: Unknown symbol v4l2_m2m_ioctl_reqbufs (err 0)
[   14.472046] ti_vpe: Unknown symbol vb2_dma_contig_cleanup_ctx (err 0)
[   14.472064] ti_vpe: Unknown symbol v4l2_m2m_ioctl_streamoff (err 0)
[   14.472091] ti_vpe: Unknown symbol v4l2_m2m_ioctl_streamon (err 0)
[   14.472106] ti_vpe: Unknown symbol v4l2_m2m_fop_mmap (err 0)
[   14.472123] ti_vpe: Unknown symbol v4l2_m2m_release (err 0)
[   14.472134] ti_vpe: Unknown symbol vb2_ops_wait_prepare (err 0)
[   14.472156] ti_vpe: Unknown symbol v4l2_m2m_ctx_init (err 0)
[   14.472179] ti_vpe: Unknown symbol vb2_dma_contig_init_ctx (err 0)
[   14.472197] ti_vpe: Unknown symbol v4l2_m2m_ioctl_dqbuf (err 0)
[  14.637371]  remoteproc4: THE BINARY FORMAT IS NOT YET FINALIZED, and backward compatibility isn't yet guaranteed.
[  OK  ] Reached target System Time Synchronized.[   14.656196] asoc-simple-card sound@0: tlv320aic3x-hifi <-> 48468000.mcasp mapping ok

[   14.678899] scsi host0: ahci
[   14.682379] ata1: SATA max UDMA/133 mmio [mem 0x4a140000-0x4a1410ff] port 0x100 irq 343
         Starting Synchronize System and HW clocks...
[  OK  ] Created slice system-systemd\x2dbacklight.slice.
         Starting Load/Save Screen Backlight...htness of backlight:backlight...
[   14.865773] ti_vpe: Unknown symbol v4l2_m2m_init (err 0)
[   14.871181] ti_vpe: Unknown symbol vb2_queue_init (err 0)
[   14.876626] ti_vpe: Unknown symbol v4l2_m2m_job_finish (err 0)
[   14.882613] ti_vpe: Unknown symbol v4l2_m2m_next_buf (err 0)
[   14.888401] ti_vpe: Unknown symbol v4l2_m2m_ctx_release (err 0)
[   14.894363] ti_vpe: Unknown symbol vb2_ops_wait_finish (err 0)
[   14.900286] ti_vpe: Unknown symbol v4l2_m2m_buf_remove (err 0)
[   14.906172] ti_vpe: Unknown symbol vb2_dma_contig_memops (err 0)
[   14.912284] ti_vpe: Unknown symbol v4l2_m2m_ioctl_expbuf (err 0)
[   14.918368] ti_vpe: Unknown symbol v4l2_m2m_ioctl_querybuf (err 0)
[   14.924605] ti_vpe: Unknown symbol v4l2_m2m_buf_queue (err 0)
[   14.930418] ti_vpe: Unknown symbol v4l2_m2m_get_curr_priv (err 0)
[   14.936552] ti_vpe: Unknown symbol v4l2_m2m_fop_poll (err 0)
[   14.942307] ti_vpe: Unknown symbol v4l2_m2m_ioctl_qbuf (err 0)
[   14.948197] ti_vpe: Unknown symbol v4l2_m2m_get_vq (err 0)
[   14.953741] ti_vpe: Unknown symbol vb2_plane_cookie (err 0)
[   14.959411] ti_vpe: Unknown symbol vb2_buffer_done (err 0)
[   14.964937] ti_vpe: Unknown symbol v4l2_m2m_ioctl_reqbufs (err 0)
[   14.971079] ti_vpe: Unknown symbol vb2_dma_contig_cleanup_ctx (err 0)
[   14.977567] ti_vpe: Unknown symbol v4l2_m2m_ioctl_streamoff (err 0)
[   14.983902] ti_vpe: Unknown symbol v4l2_m2m_ioctl_streamon (err 0)
[   14.990138] ti_vpe: Unknown symbol v4l2_m2m_fop_mmap (err 0)
[   14.995839] ti_vpe: Unknown symbol v4l2_m2m_release (err 0)
[   15.001459] ti_vpe: Unknown symbol vb2_ops_wait_prepare (err 0)
[   15.007429] ti_vpe: Unknown symbol v4l2_m2m_ctx_init (err 0)
[   15.013954] ti_vpe: Unknown symbol vb2_dma_contig_init_ctx (err 0)
[   15.020193] ti_vpe: Unknown symbol v4l2_m2m_ioctl_dqbuf (err 0)
[   15.028258] ata1: SATA link down (SStatus 0 SControl 300)
[   15.073744]  remoteproc4: registered virtio2 (type 7)
[   15.078866] pru-rproc 4b234000.pru0: PRU rproc node /ocp/pruss@4b200000/pru0@4b234000 probed successfully
[   15.089240]  remoteproc5: 4b238000.pru1 is available
[   15.094227]  remoteproc5: Note: remoteproc is still under development and considered experimental.
[   15.103997]  remoteproc5: THE BINARY FORMAT IS NOT YET FINALIZED, and backward compatibility isn't yet guaranteed.
[   15.180220] ti_vip: Unknown symbol vb2_queue_init (err 0)
[   15.186070] ti_vip: Unknown symbol vb2_ioctl_streamoff (err 0)
[   15.194509] ti_vip: Unknown symbol vb2_ioctl_expbuf (err 0)
[  OK  ] Started Load/Save Screen Backlight Brightness of backlight:backlight.[   15.202390] ti_vip: Unknown symbol vb2_ops_wait_finish (err 0)

[   15.214531] ti_vip: Unknown symbol vb2_dma_contig_memops (err 0)
[   15.220798] ti_vip: Unknown symbol vb2_ioctl_querybuf (err 0)
[   15.226700] ti_vip: Unknown symbol vb2_plane_cookie (err 0)
[   15.239036] ti_vip: Unknown symbol vb2_ioctl_dqbuf (err 0)
[   15.244563] ti_vip: Unknown symbol vb2_ioctl_create_bufs (err 0)
[   15.259660] ti_vip: Unknown symbol vb2_ioctl_prepare_buf (err 0)
[   15.265740] ti_vip: Unknown symbol vb2_buffer_done (err 0)
[   15.271546] ti_vip: Unknown symbol vb2_dma_contig_cleanup_ctx (err 0)
[   15.278043] ti_vip: Unknown symbol vb2_ioctl_qbuf (err 0)
[   15.283875] ti_vip: Unknown symbol vb2_fop_mmap (err 0)
[   15.289268] ti_vip: Unknown symbol vb2_fop_read (err 0)
[   15.294559] ti_vip: Unknown symbol vb2_ops_wait_prepare (err 0)
[   15.300667] ti_vip: Unknown symbol vb2_ioctl_streamon (err 0)
[   15.306446] ti_vip: Unknown symbol vb2_fop_poll (err 0)
[   15.311942] ti_vip: Unknown symbol _vb2_fop_release (err 0)
[   15.317548] ti_vip: Unknown symbol vb2_dma_contig_init_ctx (err 0)
[   15.323926] ti_vip: Unknown symbol vb2_ioctl_reqbufs (err 0)
[   15.378121] ti_vpe: Unknown symbol v4l2_m2m_init (err 0)
[   15.383527] ti_vpe: Unknown symbol vb2_queue_init (err 0)
[   15.389164] ti_vpe: Unknown symbol v4l2_m2m_job_finish (err 0)
[   15.395048] ti_vpe: Unknown symbol v4l2_m2m_next_buf (err 0)
[   15.400941] ti_vpe: Unknown symbol v4l2_m2m_ctx_release (err 0)
[   15.408020] ti_vpe: Unknown symbol vb2_ops_wait_finish (err 0)
[   15.414120] ti_vpe: Unknown symbol v4l2_m2m_buf_remove (err 0)
[   15.420102] ti_vpe: Unknown symbol vb2_dma_contig_memops (err 0)
[   15.426314] ti_vpe: Unknown symbol v4l2_m2m_ioctl_expbuf (err 0)
[   15.432540] ti_vpe: Unknown symbol v4l2_m2m_ioctl_querybuf (err 0)
[   15.438874] ti_vpe: Unknown symbol v4l2_m2m_buf_queue (err 0)
[   15.444805] ti_vpe: Unknown symbol v4l2_m2m_get_curr_priv (err 0)
[   15.451153] ti_vpe: Unknown symbol v4l2_m2m_fop_poll (err 0)
[   15.456962] ti_vpe: Unknown symbol v4l2_m2m_ioctl_qbuf (err 0)
[   15.463019] ti_vpe: Unknown symbol v4l2_m2m_get_vq (err 0)
[   15.468621] ti_vpe: Unknown symbol vb2_plane_cookie (err 0)
[   15.474276] ti_vpe: Unknown symbol vb2_buffer_done (err 0)
[   15.479935] ti_vpe: Unknown symbol v4l2_m2m_ioctl_reqbufs (err 0)
[   15.486065] ti_vpe: Unknown symbol vb2_dma_contig_cleanup_ctx (err 0)
[   15.492680] ti_vpe: Unknown symbol v4l2_m2m_ioctl_streamoff (err 0)
[   15.499081] ti_vpe: Unknown symbol v4l2_m2m_ioctl_streamon (err 0)
[   15.505305] ti_vpe: Unknown symbol v4l2_m2m_fop_mmap (err 0)
[   15.515390] ti_vpe: Unknown symbol v4l2_m2m_release (err 0)
[   15.521821] ti_vpe: Unknown symbol vb2_ops_wait_prepare (err 0)
[   15.527804] ti_vpe: Unknown symbol v4l2_m2m_ctx_init (err 0)
[   15.534720] ti_vpe: Unknown symbol vb2_dma_contig_init_ctx (err 0)
[   15.541304] ti_vpe: Unknown symbol v4l2_m2m_ioctl_dqbuf (err 0)
[[;1;31mFAILED ]Failed to start Synchronize System and HW cocks.
[   15.581141] ti_vip: Unknown symbol vb2_queue_init (err 0)
[   15.586809] ti_vip: Unknown symbol vb2_ioctl_streamoff (err 0)
[   15.593444] ti_vip: Unknown symbol vb2_ioctl_expbuf (err 0)
See 'systemctl status sync-clocks.service' for details.[   15.599527] ti_vip: Unknown symbol vb2_ops_wait_finish (err 0)

[   15.610349] ti_vip: Unknown symbol vb2_dma_contig_memops (err 0)
[   15.616584] ti_vip: Unknown symbol vb2_ioctl_querybuf (err 0)
[   15.622681] ti_vip: Unknown symbol vb2_plane_cookie (err 0)
[   15.644054] ti_vip: Unknown symbol vb2_ioctl_dqbuf (err 0)
[  OK  ] Reached target System Initialization.[   15.654351] ti_vip: Unknown symbol vb2_ioctl_create_bufs (err 0)

[   15.667092] ti_vip: Unknown symbol vb2_ioctl_prepare_buf (err 0)
[  OK  ] Listening on RPCbind Server Activation Socket.[   15.673794] ti_vip: Unknown symbol vb2_buffer_done (err 0)

[   15.685087] ti_vip: Unknown symbol vb2_dma_contig_cleanup_ctx (err 0)
[   15.691752] ti_vip: Unknown symbol vb2_ioctl_qbuf (err 0)
[   15.697188] ti_vip: Unknown symbol vb2_fop_mmap (err 0)
[   15.703741] ti_vip: Unknown symbol vb2_fop_read (err 0)
[  OK  ] Listening on Avahi mDNS/DNS-SD Stack Activation Socket.[   15.709483] ti_vip: Unknown symbol vb2_ops_wait_prepare (err 0)

[   15.722222] ti_vip: Unknown symbol vb2_ioctl_streamon (err 0)
[   15.728007] ti_vip: Unknown symbol vb2_fop_poll (err 0)
[   15.733494] ti_vip: Unknown symbol _vb2_fop_release (err 0)
[   15.740657] ti_vip: Unknown symbol vb2_dma_contig_init_ctx (err 0)
[[;32m  OK   ]Listening on D-Bus System Message Bus Socket.[   15.747377] ti_vip: Unknown symbol vb2_ioctl_reqbufs (err 0)

[   15.759141]  remoteproc5: registered virtio3 (type 7)
[   1.764258] pru-rproc 4b238000.pru1: PRU rproc node /ocp/pruss@4b200000/pru1@4b238000 probed successfully
[   15.774775]  remoteproc6: 4b2b4000.pru0 is available
[   15.780160]  remoteproc6: Note: remoteproc is still under development and considered experimental.
[   15.790623]  remoteproc6: THE BINARY FORMAT IS NOT YET FINALIZED, and backward compatibility isn't yet guaranteed.
[  OK  ] Started Daily Cleanup of Temporary Directories.
[  OK  ] Reached target Timers.
[   15.845441]  remoteproc6: registered virtio4 (type 7)
[   15.850650] pru-rproc 4b2b4000.pru0: PRU rproc node /ocp/pruss@4b280000/pru0@4b2b4000 probed successfully
[   15.861113]  remoteproc7: 4b2b8000.pru1 is available
[   15.866104]  remoteproc7: Note: remoteproc is still under development and considered experimental.
[   15.875322]  remoteproc7: THE BINARY FORMAT IS NOT YET FINALIZED, and backward compatibility isn't yet guaranteed.
[   15.941188]  remoteproc7: registered virtio5 (type 7)
[   15.946303] pru-rproc 4b2b8000.pru1: PRU rproc node /ocp/pruss@4b280000/pru1@4b2b8000 probed successfully
[  OK  ] Listening on dropbear.socket.
[  OK  ] Reached target Sockets.
[  OK  ] Reached target Basic System.
[  OK  ] Started Kernel Logging Service.
         Starting Login Service...
[  OK  ] Started strongSwan IPsec IKEv1/IKEv2 daemon using ipsec.conf.
[  OK  ] Started D-Bus System Message Bus.
[   16.890753]  remoteproc1: powering up 55020000.ipu
[   16.900160]  remoteproc1: Booting fw image dra7-ipu2-fw.xem4, size 3493212
[   16.907141] omap-iommu 55082000.mmu: 55082000.mmu: version 2.1
[   16.963186]  remoteproc1: remote processor 55020000.ipu is now up
[   16.970184] virtio_rpmsg_bus virtio0: rpmsg host is online
[   16.975729] virtio_rpmsg_bus virtio0: creating channel rpmsg-rpc addr 0x65
[   16.982891] virtio_rpmsg_bus virtio0: creating channel rpmsg-rpc addr 0x66
[   16.989873]  remoteproc0: powering up 58820000.ipu
[   17.009034]  remoteproc0: Booting fw image dra7-ipu1-fw.xem4, size 4941296
[   17.016930] omap-iommu 58882000.mmu: 58882000.mmu: version 2.1
[   17.036293]  remoteproc0: remote processor 58820000.ipu is now up
[   17.045750] virtio_rpmsg_bus virtio1: rpmsg host is online
[   17.047393] virtio_rpmsg_bus virtio1: creating channel rpmsg-client-sample addr 0x32
[   17.047568] virtio_rpmsg_bus virtio1: creating channel rpmsg-client-sample addr 0x33
[   17.047699] virtio_rpmsg_bus virtio1: creating channel rpmsg-omx addr 0x3c
[   17.048573] virtio_rpmsg_bus virtio1: creating channel rpmsg-rpc addr 0x65
[   17.082414]  remoteproc4: powering up 4b234000.pru0
[   17.094482]  remoteproc4: Booting fw image am57xx-pru1_0-fw, size 80760
[   17.102018] ti-pruss 4b200000.pruss: configured system_events = 0x1000000000000000 intr_channels = 0x00000001 host_intr = 0x00000001
[   17.117178]  remoteproc4: remote processor 4b234000.pru0 is now up
[   17.128448] virtio_rpmsg_bus virtio2: rpmsg host is online
[   17.128475] virtio_rpmsg_bus virtio2: creating channel rpmsg-pru addr 0x1e
[   17.142358]  remoteproc5: powering up 4b238000.pru1
[   17.147409]  remoteproc5: Booting fw image am57xx-pru1_1-fw, size 80768
[   17.161279] ti-pruss 4b200000.pruss: configured system_events = 0x0800000000000000 intr_channels = 0x00000002 host_intr = 0x00000002
[   17.175224]  remoteproc5: remote processor 4b238000.pru1 is now up
[   17.184107] virtio_rpmsg_bus virtio3: rpmsg host is online
[   17.184622] virtio_rpmsg_bus virtio3: creating channel rpmsg-pru addr 0x1f
[   17.199853]  remoteproc6: powering up 4b2b4000.pru0
[   17.204911]  remoteproc6: Booting fw image am57xx-pru2_0-fw, size 80760
[   17.213541] ti-pruss 4b280000.pruss: configured system_events = 0x1000000000000000 intr_channels = 0x00000001 host_intr = 0x00000001
[   17.228211]  remoteproc6: remote processor 4b2b4000.pru0 is now up
[   17.235543] virtio_rpmsg_bus virtio4: rpmsg host is online
[   17.235567] virtio_rpmsg_bus virtio4: creating channel rpmsg-pru addr 0x20
[   17.250933]  remoteproc7: powering up 4b2b8000.pru1
[   17.293113] xhci-hcd xhci-hcd.0.auto: xHCI Host Controller
[   17.298696] xhci-hcd xhci-hcd.0.auto: new USB bus registered, assigned bus number 1
[   17.307160] xhci-hcd xhci-hcd.0.auto: hcc params 0x0220f04c hci version 0x100 quirks 0x00010010
[   17.316118] xhci-hcd xhci-hcd.0.auto: irq 468, io mem 0x48890000
[   17.324077] hub 1-0:1.0: USB hub found
[   17.327871] hub 1-0:1.0: 1 port detected
[   17.332431] xhci-hcd xhci-hcd.0.auto: xHCI Host Controller
[   17.337957] xhci-hcd xhci-hcd.0.auto: new USB bus registered, assigned bus number 2
[   17.345840] usb usb2: We don't know the algorithms for LPM for this host, disabling LPM.
[   17.355369] hub 2-0:1.0: USB hub found
[   17.359343] hub 2-0:1.0: 1 port detected
[   17.387878]  remoteproc7: Booting fw image am57xx-pru2_1-fw, size 80768
[   17.395111] ti-pruss 4b280000.pruss: configured system_events = 0x0800000000000000 intr_channels = 0x00000002 host_intr = 0x00000002
[   17.408628]  remoteproc7: remote processor 4b2b8000.pru1 is now up
[   17.415123] virtio_rpmsg_bus virtio5: rpmsg host is online
[   17.415210] virtio_rpmsg_bus virtio5: creating channel rpmsg-pru addr 0x21
[   17.511592] rpmsg_pru rpmsg6: new rpmsg_pru device: /dev/rpmsg_pru30
[   17.518576] rpmsg_pru rpmsg7: new rpmsg_pru device: /dev/rpmsg_pru31
[   17.527034] rpmsg_pru rpmsg8: new rpmsg_pru device: /dev/rpmsg_pru32
[   17.535563] rpmsg_pru rpmsg9: new rpmsg_pru device: /dev/rpmsg_pru33
[   17.548401] rpmsg_rpc rpmsg0: probing service dce-callback with src 1024 dst 101
[   17.559042] rpmsg_rpc rpmsg1: probing service rpmsg-dce with src 1025 dst 102
[   17.559415] rpmsg_rpc rpmsg0: published functions = 4
[   17.574007]  remoteproc2: powering up 40800000.dsp
[   17.580997]  remoteproc2: Booting fw image dra7-dsp1-fw.xe66, size 22103432
[   17.591699] rpmsg_rpc rpmsg5: probing service rpc_example_2 with src 1024 dst 101
[   17.592078] rpmsg_rpc rpmsg1: published functions = 8
[   17.608634] xhci-hcd xhci-hcd.1.auto: xHCI Host Controller
[   17.611841] omap_hwmod: mmu0_dsp1: _wait_target_disable failed
[   17.611873] omap-iommu 40d01000.mmu: 40d01000.mmu: version 3.0
[   17.611931] omap-iommu 40d02000.mmu: 40d02000.mmu: version 3.0
[   17.631864] rpmsg_rpc rpmsg5: published functions = 8
[   17.637031] xhci-hcd xhci-hcd.1.auto: new USB bus registered, assigned bus number 3
[   17.647903]  remoteproc2: remote processor 40800000.dsp is now up
[   17.655471] xhci-hcd xhci-hcd.1.auto: hcc params 0x0220f04c hci version 0x100 quirks 0x00010010
[   17.665558] virtio_rpmsg_bus virtio6: rpmsg host is online
[   17.665649] virtio_rpmsg_bus virtio6: creating channel rpmsg-proto addr 0x3d
[   17.665848] xhci-hcd xhci-hcd.1.auto: irq 469, io mem 0x488d0000
[   17.685978] hub 3-0:1.0: USB hub found
[   17.686630]  remoteproc2: registered virtio6 (type 7)
[   17.695058] hub 3-0:1.0: 1 port detected
[   17.699292] xhci-hcd xhci-hcd.1.auto: xHCI Host Controller
[   17.704806] xhci-hcd xhci-hcd.1.auto: new USB bus registered, assigned bus number 4
[   17.712612] usb usb4: We don't know the algorithms for LPM for this host, disabling LPM.
[   17.721378] hub 4-0:1.0: USB hub found
[   17.725335] hub 4-0:1.0: 1 port detected
[   17.832560] NET: Registered protocol family 41
         Starting Network Service...
         Starting Save/Restore Sound Card State...
         Starting uim-sysfs.service...
[   17.963523] FAT-fs (mmcblk0p1): Volume was not properly unmounted. Some data may be corrupt. Please run fsck.
[   17.977623]  remoteproc3: powering up 41000000.dsp
[   17.989173]  remoteproc3: Booting fw image dra7-dsp2-fw.xe66, size 22103432
         Starting Telephony service...
[   18.013344] omap_hwmod: mmu0_dsp2: _wait_target_disable failed
[   18.018274] usb 3-1: new full-speed USB device number 2 using xhci-hcd
[   18.025788] omap-iommu 41501000.mmu: 41501000.mmu: version 3.0
[   18.031748] omap-iommu 41502000.mmu: 41502000.mmu: version 3.0
[   18.065232]  remoteproc3: remote processor 41000000.dsp is now up
[   18.076641] virtio_rpmsg_bus virtio7: rpmsg host is online
[   18.076741] virtio_rpmsg_bus virtio7: creating channel rpmsg-proto addr 0x3d
[   18.101908]  remoteproc3: registered virtio7 (type 7)
         Starting Permit User Sessions...
[   18.166062] input: PenMount PM1410 as /devices/platform/44000000.ocp/488c0000.omap_dwc3_2/488d0000.usb/xhci-hcd.1.auto/usb3/3-1/3-1:1.0/0003:14E1:3500.0001/input/input1
         Starting Avahi mDNS/DNS-SD Stack...[   18.196920] hid-multitouch 0003:14E1:3500.0001: input,hidraw0: USB HID v1.10 Device [PenMount PM1410] on usb-xhci-hcd.1.auto-1/input0

[   18.201552] net eth1: initializing cpsw version 1.15 (0)
[   18.202897] net eth0: initialized cpsw ale version 1.4
[   18.205939] libphy: PHY 48485000.mdio:02 not found
[   18.205945] net eth1: phy "48485000.mdio:02" not found on slave 1, err -19
[   18.214134] IPv6: ADDRCONF(NETDEV_UP): eth1: link is not ready
[   18.223146] net eth0: initializing cpsw version 1.15 (0)
[  OK  ] Started System Logging Service.
[   18.316937] net eth0: phy found : id is : 0x221622
[  OK  ] Started Network Service.[   18.338861] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready

[  OK  ] Started Save/Restore Sound Card State.
[   18.376771] NET: Registered protocol family 15
[  OK  ] Started Permit User Sessions.
[   18.516834] Bluetooth: Core ver 2.21
[   18.521820] NET: Registered protocol family 31
[   18.535952] Bluetooth: HCI device and connection manager initialized
[   18.548538] Bluetooth: HCI socket layer initialized
[   18.566818] Bluetooth: L2CAP socket layer initialized
[   18.572262] Bluetooth: SCO socket layer initialized
[   18.582774] Initializing XFRM netlink socket
[  OK  ] Started Telephony service.
[  OK  ] Started Avahi mDNS/DNS-SD Stack.
[  OK  ] Started Login Service.
[  OK  ] Reached target Sound Card.
[  OK  ] Listening on Load/Save RF Kill Switch Status /dev/rfkill Watch.
[  OK  ] Started Getty on tty1.
[  OK  ] Started Serial Getty on ttyS2.
[  OK  ] Reached target Network.
         Starting Network Name Resolution...
         Starting Lightning Fast Webserver With Light System Requirements...
[  OK  ] Started uim-sysfs.service.
[  OK  ] Started Network Name Resolution.
[  OK  ] Started Lightning Fast Webserver With Light System Requirements.
         Starting rc.pvr.service...
[   19.659021] PVR_K: UM DDK-(3699939) and KM DDK-(3699939) match. [ OK ]
[  OK  ] Started rc.pvr.service.
         Starting weston.service...
[  OK  ] Started weston.service.
         Starting telnetd.service...
         Starting tiipclad-daemon.service...
[  OK  ] Started telnetd.service.
[  OK  ] Started tiipclad-daemon.service.
         Starting thttpd.service...
[  OK  ] Started thttpd.service.
         Starting rng-tools.service...
[  OK  ] Started rng-tools.service.
         Starting gdbserverproxy.service...
[  OK  ] Started gdbserverproxy.service.
         Starting matrix-gui-2.0.service...
[  OK  ] Started matrix-gui-2.0.service.
         Starting thermal-zone-init.service...
[  OK  ] Started thermal-zone-init.service.
         Starting gplv3-notice.service...

 _____                    _____           _         _
|  _  |___ ___ ___ ___   |  _  |___ ___  |_|___ ___| |_
|     |  _| .'| . | . |  |   __|  _| . | | | -_|  _|  _|
|__|__|_| |__,|_  |___|  |__|  |_| |___|_| |___|___|_|
              |___|                    |___|

Arago Project http://arago-project.org am57xx-evm ttyS2

Arago 2016.05 am57xx-evm ttyS2

am57xx-evm login: [   28.032797] omap_hwmod: mmu_ipu1: _wait_target_disable failed
[   28.062903] omap_hwmod: mmu_ipu2: _wait_target_disable failed
[   28.076320] omap_hwmod: mmu1_dsp2: _wait_target_disable failed
[   28.089743] omap_hwmod: mmu1_dsp1: _wait_target_disable failed
[   28.103076] omap_hwmod: mmu0_dsp2: _wait_target_disable failed
[   28.116386] omap_hwmod: mmu0_dsp1: _wait_target_disable failed

 _____                    _____           _         _
|  _  |___ ___ ___ ___   |  _  |___ ___  |_|___ ___| |_
|     |  _| .'| . | . |  |   __|  _| . | | | -_|  _|  _|
|__|__|_| |__,|_  |___|  |__|  |_| |___|_| |___|___|_|
              |___|                    |___|

Arago Project http://arago-project.org am57xx-evm ttyS2

Arago 2016.05 am57xx-evm ttyS2

am57xx-evm login: root
root@am57xx-evm:~# lsusb
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation
Bus 003 Device 002: ID 14e1:3500 Dialogue Technology Corp.
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation
root@am57xx-evm:~#

   

  

  • Hi,

    I will ask the USB experts to comment.
  • Robin,

    First of all, any branch in ti-linux-kernel on git.ti.com is not intended for customer use. Those are all development branches, which could break on anything. If you really want to use a latest kernel, only the latest 'ti20xx.xx' release tags are recommended, For example, the latest tag is ti2016.03.

    However, I don't expect usb broken on ti-lsk-linux-4.4.y. Please run the diagnostic script attached below on your board and post the log.

    #!/bin/sh
    #
    # Util to check USB subsystem on for Linux kernel 3.12+
    #
    # TODO: usage
    
    VERSION=0.2.2
    
    
    ### functions ###
    
    has_supported_kernel() {
    	local _ver
    	local _t
    
        uname -a
    	_ver=`uname -r`
        _t=${_ver%%.*}
        # 2.x.x, unsupported
        [ $_t -ge 3 ] || return 1
        # 4.x.x, supported
        [ $_t -lt 4 ] || return 0
    
        _ver=${_ver#*.}
        _t=${_ver%%.*}
        # < 3.12.x, unsupported
        [ $_t -ge 12 ] || return 1
        return 0
    }
    
    check_platform () {
    	local _hw
        [ "$PLATFORM" != "" ] || {
    	    _hw=`grep '^Hardware' /proc/cpuinfo`
    	    DBG_PRINT $_hw
    
            if [ "${_hw#*AM33XX}" != "$_hw" ]; then
                PLATFORM="am335x"
            elif [ "${_hw#*AM43}" != "$_hw" ]; then
                PLATFORM="am437x"
            elif [ "${_hw#*DRA7}" != "$_hw" ]; then
                PLATFORM="am57x"
            elif [ "${_hw#*Keystone}" != "$_hw" ]; then
                PLATFORM="keystone"
            else
                PLATFORM="unknown"
            fi
        }
    
        DBG_PRINT $PLATFORM
        case $PLATFORM in
            "am335x")
                USB0='usb@47400000/usb@47401000'
                USB1='usb@47400000/usb@47401800'
                return 0;;
            "am437x")
                USB0='omap_dwc3@48380000/usb@48390000'
                USB1='omap_dwc3@483c0000/usb@483d0000'
                return 0;;
            "am57x")
                USB0='omap_dwc3_1@48880000/usb@48890000'
                USB1='omap_dwc3_2@488c0000/usb@488d0000'
                return 0;;
            "keystone")
                USB0='omap_dwc3_1@48880000/usb@48890000'
                USB1='omap_dwc3_2@488c0000/usb@488d0000'
                return 0;;
            *)
                echo "Unsupported $PLATFORM"
                return 1;;
        esac
    }
    
    # check a kernel CONFIG option
    # params $1 - the config option
    #        $2 = '-q', quiet output
    # return 0 - undefined
    #        1 - defined as 'm', kernel module
    #        2 - defined as 'y', kernel builtin
    check_kernel_config() {
        local _cfg
    
        [ -n "$1" ] || return 0
        _cfg=`zcat /proc/config.gz | grep "^$1\>"`
    
        case ${_cfg#*=} in
            "y") return 2;;
            "m") return 1;;
              *) [ "$2" = "-q" ] ||
                  echo "Error: $1 is undefined in kernel config"
              return 0;;
        esac
    }
    
    # check a kernel module
    # $1 - module name, relative path from drivers/, with .ko surfix
    # return 0 - found
    #        1 - error
    check_module() {
        local _modname
        local _moddep
    
        [ -n "$1" ] || return 1
    
        _modname="/lib/modules/`uname -r`/kernel/drivers/${1}.ko"
        _moddep="/lib/modules/`uname -r`/modules.dep"
    
        DBG_PRINT 1
        [ -f $_modname ] || {
            echo "Error: $_modname not found."
            echo "       Please ensure 'make module_install' is done properly."
            return 1
        }
    
        DBG_PRINT 2
        [ -f $_moddep ] || $moddep_checked || {
            echo "Error: $_moddep not found."
            echo "       Please ensure 'make module_install' is done properly."
            moddep_checked=true
        }
    
        DBG_PRINT 3
        lsmod | grep `basename $1 | tr '-' '_'` > /dev/null || {
            DBG_PRINT ">>>> ${1}.ko:"
            if grep "${1}.ko:" $_moddep > /dev/null; then
                DBG_PRINT 5
                echo "Error: $_moddep seems to be valid,"
                echo "       but `basename $1`.ko is not loaded."
                echo "       Please provide /proc/config.gz and /lib/module/`uname -r`/*"
                echo "       for further investigation."
            else
                DBG_PRINT 6
                echo "Error: `basename $1`: $_moddep is invalid."
                echo "       Please run command 'depmod' on the target to re-generate it,"
                echo "       then reboot the target. If the issue still exists, please"
                echo "       ensure 'make module_install' is done properly."
            fi
    
            DBG_PRINT 7
            return 1
        }
        DBG_PRINT 8
        return 0
    }
    
    check_musb_drivers() {
        check_kernel_config CONFIG_USB_MUSB_HDRC
        [ $? != 1 ] || check_module 'usb/musb/musb_hdrc'
    
        check_kernel_config CONFIG_USB_MUSB_DUAL_ROLE -q
        [ $? != 0 ] || echo "Warning: CONFIG_USB_MUSB_DUAL_ROLE undefined."
    
        check_kernel_config CONFIG_USB_MUSB_DSPS
        [ $? != 1 ] || {
            check_module 'usb/musb/musb_dsps'
            check_module 'usb/musb/musb_am335x'
        }
    
        check_kernel_config CONFIG_AM335X_PHY_USB
        [ $? != 1 ] || {
            check_module 'usb/phy/phy-am335x'
            check_module 'usb/phy/phy-am335x-control'
        }
    
        check_kernel_config CONFIG_MUSB_PIO_ONLY -q
        [ $? != 0 ] || {
           if check_kernel_config CONFIG_TI_CPPI41 -q; then
               echo "Error: MUSB CPPI DMA mode is enabled, but CPPI moudle is not enabled in DMA Engine."
               echo "       Please enable CONFIG_TI_CPPI41 under DMA Engine Support in kernel config."
           fi
        }
    }
    
    check_dwc3_drivers() {
        check_kernel_config CONFIG_USB_DWC3
        [ $? != 1 ] || check_module 'usb/dwc3/dwc3'
    
        check_kernel_config CONFIG_USB_DWC3_DUAL_ROLE -q
        [ $? != 0 ] || echo "Warning: CONFIG_USB_DWC3_DUAL_ROLE undefined."
    
        check_kernel_config CONFIG_USB_OTG -q
        [ $? != 0 ] || echo "Warning: CONFIG_USB_OTG undefined, which is required for DRD mode."
    
        check_kernel_config CONFIG_USB_DWC3_OMAP
        [ $? != 1 ] || check_module 'usb/dwc3/dwc3-omap'
    
        check_kernel_config CONFIG_USB_XHCI_HCD
        [ $? != 1 ] || {
            check_module 'usb/host/xhci-plat-hcd'
            check_module 'usb/host/xhci-hcd'
        }
    
        check_kernel_config CONFIG_OMAP_CONTROL_PHY
        [ $? != 1 ] || check_module 'phy/phy-omap-control'
    
        if [ $PLATFORM = am437x ]; then
            check_kernel_config CONFIG_OMAP_USB2
            [ $? != 1 ] || check_module 'phy/phy-omap-usb2'
        else
            check_kernel_config CONFIG_TI_PIPE3
            [ $? != 1 ] || check_module 'phy/phy-ti-pipe3'
        fi
    }
    
    ### debug ###
    
    g_log_file=/tmp/chmusb.log
    
    DBG_ENABLE() { g_dbg_enabled=true; }
    DBG_DISABLE() { g_dbg_enabled=false; }
    DBG_LOG_RESET() { ! $g_dbg_enabled || echo > $g_log_file; }
    DBG_PRINT() { ! $g_dbg_enabled || echo "$(date +%H:%M:%S) [$(basename $0)]: $*"; }
    DBG_LOG() { DBG_PRINT $* >> $g_log_file; }
    DBG_LOG_MARK() { DBG_PRINT "----------------" >> $g_log_file; }
    
    
    ### main ####
    
    moddep_checked=false
    
    echo "chkusb.sh Version $VERSION"
    
    [ "$V" = "1" ] && DBG_ENABLE && DBG_LOG_RESET || DBG_DISABLE
    
    has_supported_kernel ||
        { echo "Unsupported kernel version: `uname -r`"; exit 1; }
    check_platform || exit 2
    DBG_PRINT device: $PLATFORM
    
    which lsusb > /dev/null ||
        { echo "Error: lsusb command not found"; exit 3; }
    
    if lsusb > /dev/null 2>&1; then
        echo "USB is initialized"
    else
        echo "USB initialization failed"
    
        # failed, continue checking
        [ -f /proc/config.gz ] ||
            { echo "Error: /proc/config.gz not found"; exit 4; }
    
        case $PLATFORM in
            am335x) check_musb_drivers;;
            am437x | am57x | keystone) check_dwc3_drivers;;
            *)
                echo "Error: unsupported platform $PLATFORM"
                exit 5;;
        esac
    fi
    
    # check dr_mode & gadget drivers
    
    [ -d /proc/device-tree ] || {
        echo "Warning: /proc/device-tree/ not found"
        if [ -d "/lib/modules/`uname -r`/" ]; then
            echo "The list of USB gadget drivers installed:"
            ls -1Rp "/lib/modules/`uname -r`/kernel/drivers/usb/gadget/"
        fi
        exit 0
    }
    
    for _usb in "${USB0}" "${USB1}"; do
        _usb_dir="/proc/device-tree/ocp/${_usb}"
        _status=`cat $_usb_dir/status 2> /dev/null`
        _dr_mode=`cat $_usb_dir/dr_mode`
        echo `basename $_usb`: $_dr_mode, $_status
    
        [ "$_status" = "disabled" -o "$_dr_mode" = "host" ] || gadget_mode=true
    done
    
    DBG_PRINT $gadget_mode
    $gadget_mode || exit 0
    
    echo
    
    check_kernel_config CONFIG_USB_LIBCOMPOSITE
    case $? in
        0) echo "Error: no any gadget driver enabled"
           exit 6;;
        1) is_gadget_builtin=false;;
        2) echo "The gadget driver is built-in"
           is_gadget_builtin=true;;
    esac
    
    check_kernel_config CONFIG_USB_ZERO -q ||
        echo "Gadget Kernel Config: g_zero is enabled"
    check_kernel_config CONFIG_USB_AUDIO -q ||
        echo "Gadget Kernel Config: g_audio is enabled"
    check_kernel_config CONFIG_USB_ETH -q ||
        echo "Gadget Kernel Config: g_ether is enabled"
    check_kernel_config CONFIG_USB_G_NCM -q ||
        echo "Gadget Kernel Config: g_ncm is enabled"
    check_kernel_config CONFIG_USB_MASS_STORAGE -q ||
        echo "Gadget Kernel Config: g_mass_storage is enabled"
    check_kernel_config CONFIG_USB_G_SERIAL -q ||
        echo "Gadget Kernel Config: g_serial is enabled"
    check_kernel_config CONFIG_USB_G_PRINTER -q ||
        echo "Gadget Kernel Config: g_printer is enabled"
    
    g_driver=`grep '^DRIVER=' /sys/class/udc/*/uevent 2>/dev/null`
    echo "gadget driver loaded: ${g_driver:-(none)}"
    
    echo
    
    if ! $is_gadget_builtin; then
        if [ -d "/lib/modules/`uname -r`/" ]; then
            echo "The list of USB gadget drivers installed:"
            ls -1Rp "/lib/modules/`uname -r`/kernel/drivers/usb/gadget/"
        else
            echo "Error: /lib/modules/`uname -r`/ not found"
            echo "       Please ensure 'make modules_install' is done properly."
            exit 7
        fi
    fi
    
    # vim: ft=sh:ts=4:sw=4:et
    

  • Hi Bin:

         Thank for your script file, now I found out where the problem is. The linux kernel relative module did not cp to root file system. Thanks for help again.

    Robin